jQuery(document).ready(function ($) {
    $(document).on('click', '#wpap-show-nav-tab', function (e) {
        $('#wpap-nav-tab').fadeIn(200);
    });

    $(document).on('click', '#wpap-hide-nav-tab', function (e) {
        $('#wpap-nav-tab').fadeOut(200);
    });

    $(document).on('click', '.wpap-nav-tab-parent', function (e) {
        e.preventDefault();
        $('.wpap-sub-nav-wrap').not($(this).next()).slideUp(200);
        $(this).next().slideToggle(200);
    });

    $(document).on('click', '.wpap-supporter, .wpap-preview-box', function (e) {
        $(this).next('.wpap-popup-form-wrap').fadeIn(200);
    });

    $(document).on('click', '.wpap-popup-form-wrap', function (e) {
        $(this).fadeOut(200);
    });

    $(document).on('click', '.wpap-popup-form', function (e) {
        e.stopPropagation();
    });

    $(document).on('click', '.wpap-close-popup', function (e) {
        e.preventDefault();
        $('.wpap-popup-form-wrap').fadeOut(200);
    });

    $(document).on('click', '#wpap-add-box', function (e) {
        e.preventDefault();
        $('#wpap-dash-box-settings-wrap').append(wpapMain.dash.boxSettingsHtml);
        $('#wpap-box-wrap').append(wpapMain.dash.boxHtml);
    });

    $(document).on('click', '.wpap-box-setting-done',function (e) {
        let inputBGColor = $(this).parent().find(".wpap-input-box-bg-color").val();
        let inputIcon = $(this).parent().find(".wpap-input-box-icon").val();
        let inputIconBGColor = $(this).parent().find(".wpap-input-box-icon-bg-color").val();
        let inputIconColor = $(this).parent().find(".wpap-input-box-icon-color").val();
        let inputTitle = $(this).parent().find(".wpap-input-box-title").val();
        let inputTitleColor = $(this).parent().find(".wpap-input-box-title-color").val();
        let inputContent = $(this).parent().find(".wpap-input-box-content").val();
        let inputContentColor = $(this).parent().find(".wpap-input-box-content-color").val();

        let box = $(this).parent().parent().prev();
        let icon = $(this).parent().parent().prev().find(".wpap-box-icon");
        let title = $(this).parent().parent().prev().find("h3");
        let content = $(this).parent().parent().prev().find("span");

        box.css('background-color', inputBGColor);
        icon.attr('class', `wpap-box-icon ${inputIcon}`).css({backgroundColor: inputIconBGColor, color: inputIconColor});
        title.text(inputTitle).css('color', inputTitleColor);
        content.text(inputContent).css('color', inputContentColor);
    });

    $(document).on('click', function (e) {
        $('.wpap-box-settings-popup').hide(0);
    });

    $(document).on('click', '.wpap-box-settings', function (e) {
        e.stopPropagation();
    });

    $(document).on('click', '.wpap-delete-box', function (e) {
        e.preventDefault();
        e.stopPropagation();
        $(this).parent().next().remove();
        $(this).parent().remove();
    });

    ({ticketStatusPlaceholder, ticketDepPlaceholder, deleteText} = wpapMain);

    $(document).on('click', '#wpap-add-status', function (e) {
        e.preventDefault();

        $('#wpap-ticket-status-input-wrap').append(`
            <div class="wpap-ticket-settings-status">
                <input id="wpap-ticket-status" type="text" name="ticket_status_name[]" placeholder="${ticketStatusPlaceholder}"/>
                
                <div class="wpap-status-color-input-wrap">
                    <label>
                        <i class='bx bx-square-rounded'></i>
                        <input type="color" name="ticket_status_color[]"/>
                    </label>
                    
                    <label>
                        <i class='bx bx-text'></i>
                        <input type="color" name="ticket_status_text_color[]"/>
                    </label>
                </div>
                
                <a class="wpap-delete-status" href=""><i class="bx bx-trash"></i></a>
            </div>        
`       );
    });

    $(document).on('click', '#wpap-add-department', function (e) {
        e.preventDefault();

        $('#wpap-dep-input-wrap').append(`
            <div>
                <input id="wpap-ticket-department" type="text" name="departments[]" placeholder="${ticketDepPlaceholder}"/>
                <a class="wpap-delete-department" href=""><i class="bx bx-trash"></i></a>
            </div>        
`       );
    });

    $(document).on('click', '.wpap-delete-department, .wpap-delete-status', function (e) {
        e.preventDefault();
        $(this).parent().remove();
    });

    $(document).on('change', '#wpap-style-section-select', function (e) {
        $('.wpap-styles-section').hide(0);
        $(`#wpap-${$(this).val()}-styles`).fadeIn(200);
    });

    const attachInput = $('#wpap-attachment');
    const attachmentFileName = $('#wpap-attachment-file-name');

    if (attachInput) {
        attachInput.on('input', function () {
            if (attachmentFileName.css('display') === 'none') {
                attachmentFileName.css({display: 'inline-block', marginTop: '5px'});
            }

            attachmentFileName.text($(this).prop('files')[0].name);
        })
    }

    $(document).on('change', '#wpap-sms-providers', function (e) {
        $('.wpap-sms-settings-form').not(`#wpap-${$(this).val()}`).hide(0);
        $(`#wpap-${$(this).val()}`).show(0);
    });
});