jQuery(document).ready(function ($) {
    let existingFields = [];
    let singleFields = ['first_name', 'last_name', 'display_name', 'user_login', 'user_email', 'user_pass', 'user_url', 'mobile'];
    let multiFields = ['text_field', 'radio', 'checkbox', 'drop_down', 'number_field'];

    ({first_name, last_name, display_name, user_login, user_email, user_pass, user_url, text_field, radio, checkbox, drop_down, number_field, mobile} = WPAPRegFields);
    ({option_text, field_exist} = WPAPRegFields.texts);

    // Collect existing single fields in dom
    $('.wpap-field-name').each(function () {
        existingFields.push($(this).attr('name'));
    });

    // Automatically set field indices
    function fieldIndex() {
        $('.wpap-reg-field-wrap').each(function () {
            $(this).find('.wpap-field-name').val($(this).index())
        });
    }

    // Automatically set the number of multi fields settings
    function autoNum(name) {
        let setting = $(`.wpap-${name}-setting-wrap`);
        let i = 0;

        setting.each(function () {
            $(this).find(`.wpap-${name}-label`).attr('name', `${name}_options[${i}][]`);
            i++;
        });
    }

    // Add field
    function addField(fieldName, field, type) {
        const wrap = $('#wpap-reg-fields-wrap');

        if (type === fieldName) {
            if ($.inArray(type, singleFields) > -1) {
                if ($.inArray(type, existingFields) === -1) {
                    wrap.append(field);
                    existingFields.push(type);
                    fieldIndex();
                } else {
                    alert(field_exist);
                }
            } else {
                wrap.append(field);
                fieldIndex();

                multiFields.forEach(i => {
                    if (fieldName === i ) autoNum(i);
                    let metaKey = $(`.wpap-${i}-meta-key`);

                    if (metaKey.length > 0) {
                        metaKey.last().attr('value', `${i}_meta_key_${metaKey.length}`);
                    }
                })
            }
        }
    }

    // Add field by click on button
    $(document).on('click', '#wpap-buttons-wrap button', function () {
        let type = $(this).data('type');

        addField('first_name', first_name, type);
        addField('last_name', last_name, type);
        addField('display_name', display_name, type);
        addField('user_login', user_login, type);
        addField('user_email', user_email, type);
        addField('user_pass', user_pass, type);
        addField('user_url', user_url, type);
        addField('text_field', text_field, type);
        addField('radio', radio, type);
        addField('checkbox', checkbox, type);
        addField('drop_down', drop_down, type);
        addField('number_field', number_field, type);
        addField('mobile', mobile, type);
    });

    // Show field settings
    $(document).on('click', '.wpap-show-field-settings', function (e) {
        e.preventDefault();
        $('.wpap-field-settings').not($(this).parent().parent().next()).slideUp(200);
        $(this).parent().parent().next().slideToggle(200);
    });

    // Add new setting fields
    multiFields.forEach(i => {
        $(document).on('click', `.wpap-add-new-${i}`, function (e) {
            e.preventDefault();
            let settingWrap = $(this).parent().prev();

            const field = `
                <p>
                    <input class="wpap-${i}-label" type="text"/>
                    <i class="wpap-multi-fields-delete-field bx bx-trash"></i>
                </p>
            `;

            settingWrap.append(field);
            settingWrap.find(`.wpap-${i}-label`).last().attr('value', `${option_text} ${settingWrap.find(`.wpap-${i}-label`).length}`);
            multiFields.forEach(i => autoNum(i));
        });

        // Delete field
        $(document).on('click', `.wpap-multi-fields-delete-field`, function (e) {
            e.preventDefault();
            $(this).parent().remove();
        });
    })

    // Delete field
    $(document).on('click', '.wpap-delete-field', function (e) {
        e.preventDefault();
        let name = $(this).parent().parent().find('.wpap-field-name').attr('name');
        const wrap = $(this).parents('.wpap-reg-field-wrap');
        wrap.fadeOut(200);
        existingFields = existingFields.filter(field => field !== name);

        setTimeout(() => {
            wrap.remove();
            fieldIndex();
            multiFields.forEach(i => autoNum(i));
        }, 200);
    });

    $("#wpap-reg-fields-wrap").sortable({stop: () => fieldIndex()});

    // Call functions
    fieldIndex();
    multiFields.forEach(i => autoNum(i));
});