<div class="wpap-menu-item">
    <div class="wpap-menu">
        <h3>
            <i class="bx bx-menu"></i>
            <span><?php _e( 'Custom Menu', 'arvand-panel' ); ?></span>
        </h3>

        <i class="wpap-show-menu-settings bx bx-cog"></i>
        <i class='bx bx-show-alt'></i>
        <i class="wpap-remove-menu bx bx-trash"></i>
    </div>

    <div class="wpap-popup-form-wrap">
        <div class="wpap-popup-form">
            <input class="wpap-menu-id" type="hidden" name="menu_id[]" value="new_menu"/>
            <input class="wpap-menu-name" type="hidden" name="menu_name[]" value="section"/>
            <input class="wpap-menu-parent" type="hidden" name="menu_parent[]" value="0"/>

            <p>
                <label><?php _e( 'Title', 'arvand-panel' ); ?></label>
                <input class="wpap-menu-title" type="text" name="menu_title[]" placeholder="<?php _e( 'Menu Title', 'arvand-panel' ); ?>" value="<?php _e( 'Custom Menu', 'arvand-panel' ); ?>"/>
            </p>

            <p>
                <label><?php _e( 'Icon Classes', 'arvand-panel' ); ?></label>
                <input class="wpap-menu-icon" type="text" name="menu_icon[]" min="0"/>
            </p>

            <p>
                <label><?php _e( 'Access for users', 'arvand-panel' ); ?></label>

                <select class="wpap-menu-access" class="wpap-menu-access" multiple>
                    <?php $roles = get_editable_roles(); ?>

                    <?php foreach ( $roles as $key => $details ): ?>
                        <option value="<?php esc_attr_e( $key ); ?>" selected="selected">
                            <?php esc_html_e( $details['name'] ); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
            </p>

            <p>
                <label><?php _e( 'Display Menu', 'arvand-panel' ); ?></label>

                <select class="wpap-menu-display" name="menu_display[]">
                    <option value="show" selected>
                        <?php _e( 'Show in panel', 'arvand-panel' ); ?>
                    </option>

                    <option value="hide">
                        <?php _e( 'Hide in panel', 'arvand-panel' ); ?>
                    </option>
                </select>
            </p>

            <p>
                <label><?php _e( 'Menu Type', 'arvand-panel' ); ?></label>

                <select class="wpap-menu-type" name="menu_type[]">
                    <option value="0"><?php _e( 'Menu Type', 'arvand-panel' ); ?></option>
                    <option value="link"><?php _e( 'Link to other page', 'arvand-panel' ); ?></option>
                    <option value="shortcode"><?php _e( 'Shortcode', 'arvand-panel' ); ?></option>
                    <option value="page"><?php _e( 'Page', 'arvand-panel' ); ?></option>
                    <option value="parent"><?php _e( 'Parent', 'arvand-panel' ); ?></option>
                </select>
            </p>

            <p>
                <label><?php _e( 'Menu Content', 'arvand-panel' ); ?></label>
                <input class="wpap-menu-content" type="text" name="menu_content[]" placeholder="<?php _e( 'Shortcode', 'arvand-panel' ); ?>" value=""/>
            </p>

            <p class="wpap-menu-page-field-wrap">
                <label><?php _e( 'Menu Page', 'arvand-panel' ); ?></label>

                <select class="wpap-menu-page-select" name="menu_page[]">
                    <option value="0" selected>
                        <?php _e( 'Select Page', 'arvand-panel' ); ?>
                    </option>

                    <?php $posts = get_posts( [ 'post_type' => 'page', 'post_status' => 'publish', 'numberposts' => -1 ] ); ?>

                    <?php foreach ( $posts as $post ): ?>
                        <option value="<?php esc_attr_e( $post->ID ); ?>">
                            <?php esc_html_e( $post->post_title ); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
            </p>

            <p>
                <button class="wpap-menu-settings-done wpap-btn-1"><?php _e( 'Done', 'arvand-panel' ); ?></button>
            </p>
        </div>
    </div>
</div>