<div class="wpap-popup-form-wrap">
    <div class="wpap-popup-form">
        <input class="wpap-menu-id" type="hidden" name="menu_id[]" value="<?php esc_attr_e( $menu['menu_id'] ); ?>">
        <input class="wpap-menu-name" type="hidden" name="menu_name[]" value="<?php echo esc_attr( $menu['menu_name'] ); ?>">

        <?php if ( $menu['menu_type'] === 'default' ): ?>
            <input class="wpap-menu-type" type="hidden" name="menu_type[]" value="default">
            <input class="wpap-menu-content" type="hidden" name="menu_content[]" value="default">
        <?php endif; ?>

        <p>
            <label><?php _e( 'Title', 'arvand-panel' ); ?></label>
            <input class="wpap-menu-title" type="text" name="menu_title[]" placeholder="<?php _e( 'Title Menu', 'arvand-panel' ); ?>" value="<?php esc_attr_e( $menu['menu_title'] ); ?>"/>
        </p>

        <p>
            <label><?php _e( 'Icon Classes', 'arvand-panel' ); ?></label>
            <input class="wpap-menu-icon" type="text" name="menu_icon[]" value="<?php esc_attr_e( $menu['menu_icon'] ); ?>" min="0"/>
        </p>

        <p>
            <label for="wpap-menu-access" ><?php _e( 'Access for users', 'arvand-panel' ); ?></label><br>

            <select class="wpap-menu-access" multiple>
                <?php $roles = get_editable_roles(); ?>

                <?php foreach ( $roles as $key => $details ): ?>
                    <?php
                    $access = unserialize( $menu['menu_access'] );
                    $selected = ( ! is_array( $access ) or ! count( $access ) ) ? 'selected' : selected( in_array( $key, $access ) );
                    ?>

                    <option value="<?php esc_attr_e( $key ); ?>" <?php esc_attr_e( $selected ); ?>>
                        <?php esc_html_e( $details['name'] ); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <label><?php _e( 'Display Menu', 'arvand-panel' ); ?></label>

            <select class="wpap-menu-display" name="menu_display[]">
                <option value="show" <?php selected( $menu['menu_display'], 'show' ); ?>>
                    <?php _e( 'Show in panel', 'arvand-panel' ); ?>
                </option>

                <option value="hide" <?php selected( $menu['menu_display'], 'hide' ); ?>>
                    <?php _e( 'Hide in panel', 'arvand-panel' ); ?>
                </option>
            </select>
        </p>

        <?php $display = ( $menu['menu_type'] === 'page' and $menu['menu_post_id'] > 0 ); ?>

        <?php if ( $menu['menu_type'] !== 'default' ): ?>
            <p>
                <label><?php _e( 'Menu Type', 'arvand-panel' ); ?></label>

                <select class="wpap-menu-type" name="menu_type[]">
                    <option><?php _e( 'Select type', 'arvand-panel' ); ?></option>

                    <option value="link" <?php selected( $menu['menu_type'], 'link' )?>>
                        <?php _e( 'Link to other page', 'arvand-panel' ); ?>
                    </option>

                    <option value="shortcode" <?php selected( $menu['menu_type'], 'shortcode' )?>>
                        <?php _e( 'Shortcode', 'arvand-panel' ); ?>
                    </option>

                    <option value="page" <?php selected( $menu['menu_type'], 'page' ); ?>>
                        <?php _e( 'Page', 'arvand-panel' ); ?>
                    </option>

                    <?php if ( ! $menu['menu_parent'] ): ?>
                        <option value="parent" <?php selected( $menu['menu_type'], 'parent' )?>>
                            <?php _e( 'Parent', 'arvand-panel' ); ?>
                        </option>
                    <?php endif; ?>
                </select>
            </p>

            <p>
                <label <?php echo ( $menu['menu_type'] === 'parent' or $display ) ? 'style="display: none;"' : ''; ?>>
                    <?php _e( 'Menu Content', 'arvand-panel' ); ?>
                </label>

                <input
                    class="wpap-menu-content"
                    type="text" name="menu_content[]"
                    placeholder="<?php _e( 'Shortcode', 'arvand-panel' ); ?>"
                    value="<?php esc_attr_e( $menu['menu_content'] ); ?>"
                    <?php echo ( $menu['menu_type'] === 'parent' or $display ) ? 'hidden="hidden"' : ''; ?>
                />
            </p>
        <?php endif; ?>

        <p class="wpap-menu-page" <?php echo $display ? 'style="display: block"' : ''; ?>>
            <label><?php _e( 'Menu Page', 'arvand-panel' ); ?></label>

            <select class="wpap-menu-page-select" name="menu_page[]">
                <option value="0" selected>
                    <?php _e( 'Select Page', 'arvand-panel' ); ?>
                </option>

                <?php $posts = get_posts( [ 'post_type' => 'page', 'post_status' => 'publish', 'numberposts' => -1 ] ); ?>

                <?php foreach ( $posts as $post ): ?>
                    <option value="<?php esc_attr_e( $post->ID ); ?>" <?php selected( $menu['menu_post_id'], $post->ID ); ?>>
                        <?php esc_html_e( $post->post_title ); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <label <?php echo $menu['menu_type'] === 'parent' ? 'style="display: none;"' : ''; ?>>
                <?php _e( 'Menu Parent', 'arvand-panel' ); ?>
            </label>

            <select class="wpap-menu-parent" name="menu_parent[]" <?php echo $menu['menu_type'] === 'parent' ? 'hidden="hidden"' : ''; ?>>
                <option value="0"><?php _e( 'ّFirst level', 'arvand-panel' ); ?></option>

                <?php foreach ( $panel_menus->get_parents() as $parent ): ?>
                    <option value="<?php esc_attr_e( $parent['menu_id'] ); ?>" <?php selected( $parent['menu_id'], $menu['menu_parent'] ); ?>>
                        <?php esc_html_e( $parent['menu_title'] ); ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <button class="wpap-menu-settings-done wpap-btn-1">
                <?php _e( 'Done', 'arvand-panel' ); ?>
            </button>
        </p>
    </div>
</div>