<?php
if ( ! defined('ABSPATH') ) {
    exit;
}




?>

<?php if ( isset( $error ) ): ?>
    <div class="notice notice-error is-dismissible">
        <p><strong><?php esc_html_e( $error ); ?></strong></p>
    </div>
<?php endif; ?>

<?php if ( isset( $success ) ): ?>
    <div class="notice notice-success is-dismissible">
        <p><strong><?php esc_html_e( $success ); ?></strong></p>
    </div>
<?php endif; ?>

<form id="wpwp-new-message-form" class="wpap-form" method="post" enctype="multipart/form-data">
    <?php wp_nonce_field( 'new_message_nonce', 'new_message_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_new_message"/>
    <input type="hidden" name="user" value="<?php echo esc_attr( $user->ID ); ?>"/>

    <div id="wpap-recipient" class="wpap-field-wrap">
        <?php echo get_avatar( $user->ID ) . '<h2>' . esc_html( $user->user_login ) . '</h2>'; ?>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-message-title"><?php _e( 'Title', 'arvand-panel' ); ?></label>
        <input id="wpap-message-title" class="regular-text" type="text" name="message_title">
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-message-content"><?php _e( 'Message', 'arvand-panel' ); ?></label>

        <?php
        $args = [
            'wpautop' => true,
            'media_buttons' => false,
            'textarea_name' => 'message_content',
            'textarea_rows' => 8,
            'quicktags' => false,
            'tinymce' => [
                'toolbar1' => 'bold,italic,underline,separator,alignleft,aligncenter,alignright,separator,link,unlink,undo,redo',
                'toolbar2' => '',
                'toolbar3' => '',
            ],
        ];

        wp_editor( __( 'Your Message', 'arvand-panel' ), 'wpap-message-content', $args );
        ?>
    </div>

    <div class="wpap-field-wrap">
        <?php _e( 'Upload Attachment', 'arvand-panel' ); ?>

        <div>
            <input id="wpap-attachment" type="file" name="wpap_attachment" hidden/>

            <label for="wpap-attachment" class="wpap-btn-3">
                <i class="bx bx-upload"></i>
                <?php _e( 'Upload Attachment', 'arvand-panel' ); ?>
            </label>

            <p class="description">
                <?php
                $general = wpap_general_options();
                echo sprintf( __( 'Maximum size is %d and allowed extensions: jpg - jpeg - png - pdf - zip', 'arvand-panel' ), $general['private_msg_attachment_size'] );
                ?>
            </p>

            <span id="wpap-attachment-file-name"></span>
        </div>
    </div>

    <?php
    $text = __( 'Send Message', 'arvand-panel' );
    $success_text = __( 'Message sent', 'arvand-panel' );
    include WPAP_ADMIN_PATH . 'parts/button.php';
    ?>
</form>
