<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$account_menu = wpap_account_menu();
?>

<form id="wpap-account-menu-section" class="wpap-settings-section wpap-form" method="post">
    <?php wp_nonce_field( 'account_menu_nonce', 'account_menu_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_account_menu"/>

    <div class="wpap-field-wrap">
        <label for="wpap-non-logged-in-btn">
            <?php _e( 'Non logged in user btn type', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-non-logged-in-btn" class="regular-text" name="non_logged_in_btn">
            <option value="signup_login" <?php selected( $account_menu['non_logged_in_btn'] === 'signup_login' ); ?>>
                <?php _e( 'Signup or Login', 'arvand-panel' ); ?>
            </option>

            <option value="sms_signup_login" <?php selected( $account_menu['non_logged_in_btn'] === 'sms_signup_login' ); ?>>
                <?php _e( 'SMS signup or login', 'arvand-panel' ); ?>
            </option>
        </select>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-logged-in-btn">
            <?php _e( 'logged in user btn type', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-logged-in-btn" class="regular-text" name="logged_in_btn">
        <option value="avatar" <?php selected( $account_menu['logged_in_btn'] === 'avatar' ); ?>>
            <?php _e( 'Avatar', 'arvand-panel' ); ?>
        </option>

        <option value="icon_text" <?php selected( $account_menu['logged_in_btn'] === 'icon_text' ); ?>>
            <?php _e( 'Icon and text', 'arvand-panel' ); ?>
        </option>
    </select>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-logged-in-btn-icon">
            <?php _e( 'Logged in user btn icon class', 'arvand-panel' ); ?>
        </label>

        <input id="wpap-logged-in-btn-icon" class="regular-text" type="text" name="logged_in_btn_icon" value="<?php esc_attr_e( $account_menu['logged_in_btn_icon'] ); ?>"/>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-logged-in-btn-text">
            <?php _e( 'Logged in user btn text', 'arvand-panel' ); ?>
        </label>

        <input id="wpap-logged-in-btn-text" class="regular-text" type="text" name="logged_in_btn_text" value="<?php esc_attr_e( $account_menu['logged_in_btn_text'] ); ?>"/>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>