<form id="wpap-dash-boxes-section" class="wpap-settings-section" method="post">
    <?php wp_nonce_field( 'dash_box_nonce', 'dash_box_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_dash_boxes"/>

    <button id="wpap-add-box" class="wpap-btn-3">
        <i class="bx bx-plus"></i>
        <?php _e( 'Add new box', 'arvand-panel' ); ?>
    </button>

    <div id="wpap-box-wrap">
        <?php $dash_box = wpap_dash_box_options(); ?>

        <?php if ( $dash_box and is_array( $dash_box ) ): ?>
            <?php foreach ( $dash_box as $key => $box ): ?>
                <div class="wpap-preview-box" style="background-color: <?php esc_attr_e( $box['bg_color'] ); ?>">
                    <i class="wpap-box-icon <?php esc_attr_e( $box['icon'] ); ?>" style="<?php echo 'background-color:' .  esc_attr( $box['icon_bg'] ) . ';color:' . esc_attr( $box['icon_color'] ); ?>"></i>

                    <h3 style="color: <?php esc_attr_e( $box['title_color'] ); ?>">
                        <?php esc_attr_e( $box['title'] ); ?>
                    </h3>

                    <span style="color: <?php esc_attr_e( $box['content_color'] ); ?>">
                        <?php esc_attr_e( $box['content'] ); ?>
                    </span>

                    <?php if ( $box['box_type'] === 'custom' ): ?>
                       <i class="wpap-delete-box bx bx-trash"></i>
                    <?php endif; ?>
                </div>

                <div class="wpap-popup-form-wrap">
                    <div class="wpap-popup-form">
                        <input type="hidden" name="box_id[]" value="<?php esc_attr_e( $box['box_id'] ); ?>"/>
                        <input type="hidden" name="name[]" value="<?php esc_attr_e( $box['name'] ); ?>"/>

                        <p>
                            <label><?php _e( 'Box background color', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-bg-color" type="color" name="bg_color[]" value="<?php esc_attr_e( $box['bg_color'] ); ?>"/>
                        </p>

                        <p>
                            <label><?php _e( 'Box icon', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-icon" type="text" name="icon[]" value="<?php esc_attr_e( $box['icon'] ); ?>"/>
                        </p>

                        <p>
                            <label><?php _e( 'Box icon color', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-icon-color" type="color" name="icon_color[]" value="<?php esc_attr_e( $box['icon_color'] ); ?>"/>
                        </p>

                        <p>
                            <label><?php _e( 'Box icon background color', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-icon-bg-color" type="color" name="icon_bg[]" value="<?php esc_attr_e( $box['icon_bg'] ); ?>"/>
                        </p>

                        <p>
                            <label><?php _e( 'Box title', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-title" type="text" name="title[]" value="<?php esc_attr_e( $box['title'] ); ?>"/>
                        </p>

                        <p>
                            <label><?php _e( 'Box title color', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-title-color" type="color" name="title_color[]" value="<?php esc_attr_e( $box['title_color'] ); ?>"/>
                        </p>

                        <?php if ( $box['box_type'] === 'default' ): ?>
                            <input class="wpap-input-box-content" type="hidden" name="content[]" value="default"/>
                        <?php else: ?>
                            <p>
                                <label><?php _e( 'Box content (shortcode or text)', 'arvand-panel' ); ?></label>
                                <input class="wpap-input-box-content" type="text" name="content[]" value="<?php esc_attr_e( $box['content'] ); ?>"/>
                            </p>
                        <?php endif; ?>

                        <p>
                            <label><?php _e( 'Box content text color', 'arvand-panel' ); ?></label>
                            <input class="wpap-input-box-content-color" type="color" name="content_color[]" value="<?php esc_attr_e( $box['content_color'] ); ?>"/>
                        </p>

                        <?php if ( $box['box_type'] === 'default' ): ?>
                            <input type="hidden" name="link[]" placeholder="<?php _e( 'eg: google.con', 'arvand-panel' ); ?>" value="default" style="direction: ltr"/>
                        <?php else: ?>
                            <p>
                                <label><?php _e( 'Box link', 'arvand-panel' ); ?></label>
                                <input type="text" name="link[]" placeholder="<?php _e( 'eg: google.con', 'arvand-panel' ); ?>" value="<?php esc_attr_e( $box['link'] ); ?>" style="direction: ltr"/>
                            </p>
                        <?php endif; ?>

                        <input type="hidden" name="box_type[]" value="<?php esc_attr_e( $box['box_type'] ); ?>"/>

                        <?php if ( $box['box_type'] === 'default' ): ?>
                            <input type="hidden" name="content_type[]" value="text"/>
                        <?php else: ?>
                            <p>
                                <label><?php _e( 'Content type', 'arvand-panel' ); ?></label>

                                <select name="content_type[]">
                                    <option value="text" <?php selected( $box['content_type'] === 'text' ); ?>>
                                        <?php _e( 'Text', 'arvand-panel' ); ?>
                                    </option>

                                    <option value="shortcode" <?php selected( $box['content_type'] === 'shortcode' ); ?>>
                                        <?php _e( 'Shortcode', 'arvand-panel' ); ?>
                                    </option>
                                </select>
                            </p>
                        <?php endif; ?>

                        <p>
                            <label><?php _e( 'Box display', 'arvand-panel' ); ?></label>

                            <select name="display[]">
                                <option value="show" <?php selected( $box['display'] === 'show' ); ?>>
                                    <?php _e( 'Show', 'arvand-panel' ); ?>
                                </option>

                                <option value="hide" <?php selected( $box['display'] === 'hide' ); ?>>
                                    <?php _e( 'Hide', 'arvand-panel' ); ?>
                                </option>
                            </select>
                        </p>

                        <button type="button" class="wpap-close-popup wpap-box-setting-done wpap-btn-1">
                            <?php _e( 'Done', 'arvand-panel' ); ?>
                        </button>
                    </div>
                </div>
            <?php endforeach; ?>
        <?php endif; ?>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>