<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$dash = wpap_dash_options();
?>

<form id="wpap-dashboard-section" class="wpap-settings-section wpap-form" method="post">
    <?php wp_nonce_field( 'dash_nonce', 'dash_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_dashboard"/>

    <div class="wpap-field-wrap">
        <label for="wpap-user-details-display">
            <?php _e( 'User details box display', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-user-details-display" class="regular-text" name="user_details_display">
            <option value="show" <?php selected( $dash['user_details_display'] === 'show' ); ?>>
                <?php _e( 'Show', 'arvand-panel' ); ?>
            </option>

            <option value="hide" <?php selected( $dash['user_details_display'] === 'hide' ); ?>>
                <?php _e( 'Hide', 'arvand-panel' ); ?>
            </option>
        </select>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-date-info-display">
            <?php _e( 'Date info box display', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-date-info-display" class="regular-text" name="date_info_display">
            <option value="show" <?php selected( $dash['date_info_display'] === 'show' ); ?>>
                <?php _e( 'Show', 'arvand-panel' ); ?>
            </option>

            <option value="hide" <?php selected( $dash['date_info_display'] === 'hide' ); ?>>
                <?php _e( 'Hide', 'arvand-panel' ); ?>
            </option>
        </select>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-date-latest-tickets-display">
            <?php _e( 'Latest tickets display', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-date-latest-tickets-display" class="regular-text" name="latest_tickets_display">
            <option value="show" <?php selected( $dash['latest_tickets_display'] === 'show' ); ?>>
                <?php _e( 'Show', 'arvand-panel' ); ?>
            </option>

            <option value="hide" <?php selected( $dash['latest_tickets_display'] === 'hide' ); ?>>
                <?php _e( 'Hide', 'arvand-panel' ); ?>
            </option>
        </select>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>