<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$general = wpap_general_options();
?>

<form id="wpap-general-section" class="wpap-settings-section wpap-form" method="post">
    <?php wp_nonce_field( 'general_nonce', 'general_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_general"/>

    <div class="wpap-field-wrap">
        <label for="wpap-admin-bar-access">
            <?php _e( 'Disable admin bar for', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-admin-bar-access" name="admin_bar_access[]" multiple>
            <?php $roles = get_editable_roles(); ?>

            <?php foreach ( $roles as $role => $details ): ?>
                <option value="<?php esc_attr_e( $role ); ?>" <?php selected( in_array( $role, $general['admin_bar_access'] ) ); ?>>
                    <?php esc_html_e( $details['name'] ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-admin-area-access">
            <?php _e( 'Disable wp admin for', 'arvand-panel' ); ?>
        </label>

        <select id="wpap-admin-area-access" name="admin_area_access[]" multiple>
            <?php foreach ( $roles as $role => $details ): ?>
                <option value="<?php esc_attr_e( $role ); ?>" <?php selected( in_array( $role, $general['admin_area_access'] ) ); ?>>
                    <?php esc_html_e( $details['name'] ); ?>
                </option>
            <?php endforeach; ?>
        </select>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-msg-attachment-size"><?php _e( 'Maximum private message attachment size in kilobytes', 'arvand-panel' ); ?></label>

        <input id="wpap-msg-attachment-size" type="number" name="private_msg_attachment_size" value="<?php esc_attr_e( $general['private_msg_attachment_size'] ); ?>" min="100"/>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>