<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$panel = wpap_panel_options();
?>

<form id="wpap-panel-section" class="wpap-settings-section wpap-form" method="post">
    <?php wp_nonce_field( 'panel_nonce', 'panel_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_panel"/>

    <div class="wpap-field-wrap">
        <label for="wpap-enable-fullscreen-compatibility"><?php _e( 'Fullscreen compatibility', 'arvand-panel' ); ?></label>

        <div>
            <span class="wpap-checkbox-wrap">
                <label>
                    <input id="wpap-enable-fullscreen-compatibility" name="fullscreen_compatibility" type="checkbox" <?php checked( $panel['fullscreen_compatibility'] ); ?>/>
                    <span class="wpap-checkbox"></span>
                </label>
            </span>

            <p class="description">
                <?php _e( 'Enabling this option does not make the screen full screen but compatible with full screen mode. For example, the height of the panel is adjusted more precisely.', 'arvand-panel' ); ?>
            </p>
        </div>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-display-top-sidebar"><?php _e( 'Show top panel section', 'arvand-panel' ); ?></label>

        <span class="wpap-checkbox-wrap">
            <label>
                <input id="wpap-display-top-sidebar" name="display_top_sidebar" type="checkbox" <?php checked( $panel['display_top_sidebar'] ); ?>/>
                <span class="wpap-checkbox"></span>
            </label>
        </span>
    </div>

    <div class="wpap-field-wrap">
        <label id="wpap-logo-label"><?php _e( 'Panel header logo', 'arvand-panel' ); ?></label>

        <div id="wpap-panel-logo">
            <input id="wpap-logo" type="hidden" name="logo_url" value="<?php esc_attr_e( $panel['logo_url'] ); ?>"/>

            <?php if ( ! empty( $panel['logo_url'] ) ): ?>
                <img id="wpap-logo-preview" src="<?php esc_attr_e( $panel['logo_url'] ); ?>" height="100"/>
            <?php endif; ?>

            <button id="wpap-upload-logo-btn" class="wpap-btn-3" type="button">
                <i class='bx bx-upload'></i>
                <?php _e( 'Upload', 'arvand-panel' ); ?>
            </button>

            <button id="wpap-delete-logo-btn" class="wpap-btn-3" <?php echo empty( $panel['logo_url'] ) ? 'style="display:none"' : ''; ?> type="button">
                <i class='bx bx-trash'></i>
                <?php _e( 'Delete', 'arvand-panel' ); ?>
            </button>
        </div>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-logo-width"><?php _e( 'Logo width', 'arvand-panel' ); ?></label>
        <input id="wpap-logo-width" type="number" name="logo_width" value="<?php esc_attr_e( $panel['logo_width'] ); ?>" min="0"/>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-logo-height"><?php _e( 'Logo height', 'arvand-panel' ); ?></label>
        <input id="wpap-logo-height" type="number" name="logo_height" value="<?php esc_attr_e( $panel['logo_height'] ); ?>" min="0"/>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-enable-upload-avatar"><?php _e( 'Enable upload avatar', 'arvand-panel' ); ?></label>

        <span class="wpap-checkbox-wrap">
            <label>
                <input id="wpap-enable-upload-avatar" name="enable_upload_avatar" type="checkbox" <?php checked( $panel['upload_avatar'] ); ?>/>
                <span class="wpap-checkbox"></span>
            </label>
        </span>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-avatar-size"><?php _e( 'Avatar image size in kilobytes', 'arvand-panel' ); ?></label>
        <input id="wpap-avatar-size" class="small-text" type="number" name="avatar_size" value="<?php esc_attr_e( $panel['avatar_size'] ); ?>" min="100"/>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-notice-per-page"><?php _e( 'Notifications per page', 'arvand-panel' ); ?></label>
        <input id="wpap-notice-per-page" class="small-text" type="number" name="notifications_per_page" step="1" min="1" value="<?php esc_attr_e( $panel['notifications_per_page'] ); ?>"/>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-comments-per-page"><?php _e( 'Comments per page', 'arvand-panel' ); ?></label>
        <input id="wpap-comments-per-page" class="small-text" type="number" name="comments_per_page" min="1" value="<?php esc_attr_e( $panel['comments_per_page'] ); ?>"/>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>