<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$roles_opt = wpap_roles_options();
?>

<form id="wpap-roles-section" class="wpap-settings-section wpap-form" method="post">
    <?php wp_nonce_field( 'roles_nonce', 'roles_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_roles"/>

    <div class="wpap-field-wrap">
        <label for="wpap-new-role-after-delete"><?php _e( 'New roles after delete', 'arvand-panel' ); ?></label>

        <div>
            <select id="wpap-new-role-after-delete" class="regular-text" name="new_role_after_delete">
                <?php $roles = get_editable_roles(); ?>

                <?php foreach ( $roles as $key => $details ): ?>
                    <option value="<?php esc_attr_e( $key ); ?>" <?php selected( $roles_opt['new_role'] === $key ); ?>>
                        <?php esc_html_e( $details['name'] ); ?>
                    </option>
                <?php endforeach; ?>
            </select>

            <p class="description">
                <?php _e( 'If any role is deleted in the next option (Roles), this role is applied to users who have had the role deleted.', 'arvand-panel' ); ?>
            </p>
        </div>
    </div>

    <div class="wpap-field-wrap">
        <label><?php _e( 'Roles', 'arvand-panel' ); ?></label>

        <div id="wpap-roles-wrap">
            <?php $count = 0; ?>

            <?php foreach ( $roles as $role => $details ): ?>
                <?php
                if ( ! str_starts_with( $role, 'arvand_panel' ) ) {
                    continue;
                }

                $count++
	            ?>

                <div>
                    <span><?php esc_html_e( $details['name'] ); ?></span>
                    <i id="wpap-remove-role" class="dashicons dashicons-no-alt" data-role="<?php esc_attr_e( $role ); ?>" data-nonce="<?php esc_attr_e( wp_create_nonce( 'del_role' ) ); ?>"></i>
                </div>
            <?php endforeach; ?>

            <?php
            if ( ! $count ) {
                echo '<span id="wpap-notfound-role">' . __( 'There is no role.', 'arvand-panel' ) . '</span>';
            }
            ?>
        </div>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-new-role-name"><?php _e( 'New role name', 'arvand-panel' ); ?></label>

        <div>
            <input id="wpap-new-role-name" class="regular-text" type="text" name="new_role" placeholder="<?php _e( 'eg: first_level', 'arvand-panel' ); ?>">

            <p class="description">
                <?php _e( 'If you want to add new role this field is required.', 'arvand-panel' ); ?>
            </p>
        </div>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-role-display-name"><?php _e( 'Role display name', 'arvand-panel' ); ?></label>

        <div>
            <input id="wpap-role-display-name" class="regular-text" type="text" name="role_display_name" placeholder="<?php _e( 'eg: First Level', 'arvand-panel' ); ?>">

            <p class="description">
                <?php _e( 'If you want to add new role this field is required.', 'arvand-panel' ); ?>
            </p>
        </div>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>