<?php
if (!defined('ABSPATH')) {
    exit;
}

$styles = wpap_styles();
?>

<div id="wpap-styles">
    <form id="wpap-styles-form" class="wpap-form" method="post">
        <?php wp_nonce_field( 'styles_nonce', 'styles_nonce' ); ?>
        <input type="hidden" name="form" value="wpap_styles"/>

        <div class="wpap-field-wrap">
            <label for="wpap-style-section-select">
                <?php _e( 'Section styles', 'arvand-panel' ); ?>
            </label>

            <select id="wpap-style-section-select">
                <option value="general" selected>
                    <?php _e( 'General Styles', 'arvand-panel' ); ?>
                </option>

                <option value="sidebar">
                    <?php _e( 'Sidebar Styles', 'arvand-panel' ); ?>
                </option>

                <option value="header">
                    <?php _e( 'Header Styles', 'arvand-panel' ); ?>
                </option>

                <option value="dashboard">
                    <?php _e( 'Dashboard Styles', 'arvand-panel' ); ?>
                </option>
            </select>
        </div>

        <div id="wpap-general-styles" class="wpap-styles-section">
            <div class="wpap-field-wrap">
                <label for="wpap-panel-bg">
                    <?php _e( 'Panel background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-panel-bg" class="wpap-color-field" name="panel_bg" value="<?php esc_attr_e( $styles['panel_bg'] ); ?>" data-default-color="#ecf1f7">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-btns-bg-color">
                    <?php _e( 'Buttons background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-btns-bg-color" class="wpap-color-field" name="buttons_bg_color" value="<?php esc_attr_e( $styles['buttons_bg_color'] ); ?>" data-default-color="#0062f5">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-btns-text-color">
                    <?php _e( 'Buttons text color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-btns-text-color" class="wpap-color-field" name="buttons_text_color" value="<?php esc_attr_e( $styles['buttons_text_color'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-btns-hover-bg-color">
                    <?php _e( 'Buttons hover background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-btns-hover-bg-color" class="wpap-color-field" name="buttons_hover_bg_color" value="<?php esc_attr_e( $styles['buttons_hover_bg_color'] ); ?>" data-default-color="#0054d1">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-btns-hover-text-color">
                    <?php _e( 'Buttons hover text color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-btns-hover-text-color" class="wpap-color-field" name="buttons_hover_text_color" value="<?php esc_attr_e( $styles['buttons_hover_text_color'] ); ?>" data-default-color="#ffffff">
            </div>
        </div>

        <div id="wpap-sidebar-styles" class="wpap-styles-section">
            <div class="wpap-field-wrap">
                <label for="wpap-sidebar-bg">
                    <?php _e( 'Sidebar background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-sidebar-bg" class="wpap-color-field" name="sidebar_bg" value="<?php esc_attr_e( $styles['sidebar_bg'] ); ?>" data-default-color="#0062f5">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-top-sidebar-bg-color">
                    <?php _e( 'Top sidebar background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-top-sidebar-bg-color" class="wpap-color-field" name="top_sidebar_bg" value="<?php esc_attr_e( $styles['top_sidebar_bg'] ); ?>" data-default-color="#005adf">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-top-sidebar-text-color"><?php _e( 'Top sidebar text color', 'arvand-panel' ); ?></label>
                <input id="wpap-top-sidebar-text-color" class="wpap-color-field" name="top_sidebar_text_color" value="<?php esc_attr_e( $styles['top_sidebar_text_color'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menu-style"><?php _e( 'Menus style', 'arvand-panel' ); ?></label>
                
                <select id="wpap-menu-style" name="menus_style">
                    <option value="primary" <?php selected( $styles['menus_style'] === 'primary' ); ?>>
                        <?php _e( 'Primary', 'arvand-panel' ); ?>
                    </option>

                    <option value="secondary" <?php selected( $styles['menus_style'] === 'secondary' ); ?>>
                        <?php _e( 'Secondary', 'arvand-panel' ); ?>
                    </option>
                </select>
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menu-icons-bg-color"><?php _e( 'Menus icon background color', 'arvand-panel' ); ?></label>
                <input id="wpap-menu-icons-bg-color" class="wpap-color-field" name="menus_icon_bg_color" value="<?php esc_attr_e( $styles['menus_icon_bg_color'] ); ?>" data-default-color="#297fff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menu-icons-color"><?php _e( 'Menu icons color', 'arvand-panel' ); ?></label>
                <input id="wpap-menu-icons-color" class="wpap-color-field" name="menus_icon_color" value="<?php esc_attr_e( $styles['menus_icon_color'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menu-icons-bg-hover-color"><?php _e( 'Menus icon background hover color', 'arvand-panel' ); ?></label>
                <input id="wpap-menu-icons-bg-hover-color" class="wpap-color-field" name="menus_icon_bg_hover_color" value="<?php esc_attr_e( $styles['menus_icon_bg_hover_color'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menu-icons-hover-color"><?php _e( 'Menu icons hover color', 'arvand-panel' ); ?></label>
                <input id="wpap-menu-icons-hover-color" class="wpap-color-field" name="menus_icon_hover_color" value="<?php esc_attr_e( $styles['menus_icon_hover_color'] ); ?>" data-default-color="#333333">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menus-back-btn-bg-color"><?php _e( 'Back button background color', 'arvand-panel' ); ?></label>
                <input id="wpap-menus-back-btn-bg-color" class="wpap-color-field" name="menus_back_btn_icon_bg_color" value="<?php esc_attr_e( $styles['menus_back_btn_icon_bg_color'] ); ?>" data-default-color="#fff200">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menus-back-btn-color"><?php _e( 'Back button color', 'arvand-panel' ); ?></label>
                <input id="wpap-menus-back-btn-color" class="wpap-color-field" name="menus_back_btn_icon_color" value="<?php esc_attr_e( $styles['menus_back_btn_icon_color'] ); ?>" data-default-color="#333333">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menus-color"><?php _e( 'Menus color', 'arvand-panel' ); ?></label>
                <input id="wpap-menus-color" class="wpap-color-field" name="menus_color" value="<?php esc_attr_e( $styles['menus_color'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menus-hover-bg">
                    <?php _e( 'Menus hover background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-menus-hover-bg" class="wpap-color-field" name="menus_hover_bg" value="<?php esc_attr_e( $styles['menus_hover_bg'] ); ?>" data-default-color="#0062f5">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-menus-hover-color">
                    <?php _e( 'Menus hover color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-menus-hover-color" class="wpap-color-field" name="menus_hover_color" value="<?php esc_attr_e( $styles['menus_hover_color'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
            <label for="wpap-sidebar-notice-color"><?php _e( 'Sidebar notice color', 'arvand-panel' ); ?></label>
            <input id="wpap-sidebar-notice-color" class="wpap-color-field" name="sidebar_notice_color" value="<?php esc_attr_e( $styles['sidebar_notice_color'] ); ?>" data-default-color="#ff006c">
        </div>
        </div>

        <div id="wpap-header-styles" class="wpap-styles-section">
            <div class="wpap-field-wrap">
                <label for="wpap-header-bg">
                    <?php _e( 'Header background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-header-bg" class="wpap-color-field" name="header_bg" value="<?php esc_attr_e( $styles['header_bg'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-header-btns-bg-color">
                    <?php _e( 'Header buttons background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-header-btns-bg-color" class="wpap-color-field" name="header_buttons_bg_color" value="<?php esc_attr_e( $styles['header_buttons_bg_color'] ); ?>" data-default-color="#ededed">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-header-btns-text-color">
                    <?php _e( 'Header buttons text color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-header-btns-text-color" class="wpap-color-field" name="header_buttons_text_color" value="<?php esc_attr_e( $styles['header_buttons_text_color'] ); ?>" data-default-color="#666666">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-header-btns-hover-bg-color">
                    <?php _e( 'Header buttons hover background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-header-btns-hover-bg-color" class="wpap-color-field" name="header_buttons_hover_bg_color" value="<?php esc_attr_e( $styles['header_buttons_hover_bg_color'] ); ?>" data-default-color="#0062f5">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-header-btns-hover-text-color">
                    <?php _e( 'Header buttons hover text color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-header-btns-hover-text-color" class="wpap-color-field" name="header_buttons_hover_text_color" value="<?php esc_attr_e( $styles['header_buttons_hover_text_color'] ); ?>" data-default-color="#ffffff">
            </div>
        </div>

        <div id="wpap-dashboard-styles" class="wpap-styles-section">
            <div class="wpap-field-wrap">
                <label for="wpap-dashboard-user-info-bg">
                    <?php _e( 'Dashboard user info background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-dashboard-user-info-bg" class="wpap-color-field" name="dashboard_user_info_bg" value="<?php esc_attr_e( $styles['dashboard_user_info_bg'] ); ?>" data-default-color="#ffffff">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-dashboard-user-info-text-color">
                    <?php _e( 'Dashboard user info text color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-dashboard-user-info-text-color" class="wpap-color-field" name="dashboard_user_info_color" value="<?php esc_attr_e( $styles['dashboard_user_info_color'] ); ?>" data-default-color="#666666">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-dashboard-date-info-bg">
                    <?php _e( 'Dashboard date info background color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-dashboard-date-info-bg" class="wpap-color-field" name="dashboard_date_info_bg" value="<?php esc_attr_e( $styles['dashboard_date_info_bg'] ); ?>" data-default-color="#0062f5">
            </div>

            <div class="wpap-field-wrap">
                <label for="wpap-dashboard-date-info-text-color">
                    <?php _e( 'Dashboard date info text color', 'arvand-panel' ); ?>
                </label>

                <input id="wpap-dashboard-date-info-text-color" class="wpap-color-field" name="dashboard_date_info_color" value="<?php esc_attr_e( $styles['dashboard_date_info_color'] ); ?>" data-default-color="#ffffff">
            </div>
        </div>

        <div id="wpap-styles-settings-btn-wrap">
            <?php include WPAP_ADMIN_PATH . 'parts/button.php'; ?>

            <button id="wpap-reset-styles" class="wpap-btn-3" type="button" data-nonce="<?php echo wp_create_nonce( 'reset_styles_nonce' ); ?>">
                <?php esc_attr_e('Set as default', 'arvand-panel' ); ?>
            </button>
        </div>
    </form>
</div>

<script>
    jQuery(document).ready(function($){
        $('.wpap-color-field').wpColorPicker();
    });
</script>