<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$td = wpap_ticket_department_options();
?>

<form id="wpap-ticket-dep-section" class="wpap-form" method="post">
    <?php wp_nonce_field( 'ticket_department_nonce', 'ticket_department_nonce' ); ?>
    <input type="hidden" name="form" value="wpap_ticket_department"/>

    <div class="wpap-field-wrap">
        <label for="wpap-enable-department">
            <?php _e( 'Enable department', 'arvand-panel' ); ?>
        </label>

        <span class="wpap-checkbox-wrap">
            <label>
                <input id="wpap-enable-department" name="enable_department" type="checkbox" <?php checked( $td['enable_department'] ); ?>/>
                <span class="wpap-checkbox"></span>
            </label>
        </span>
    </div>

    <div class="wpap-field-wrap">
        <label for="wpap-ticket-department"><?php _e( 'Tickets department', 'arvand-panel' ); ?></label>

        <div>
            <?php
            if ( isset( $td['departments'][0] ) ) {
                $department = $td['departments'][0];
            } else {
                $department = __( 'Admin', 'arvand-panel' );
            }
            ?>

            <div id="wpap-dep-input-wrap">
                <div>
                    <input id="wpap-ticket-department" class="regular-text" type="text" name="departments[]" value="<?php esc_attr_e( $department ); ?>"/>
                </div>

                <?php $deps = $td['departments']; ?>

                <?php for ( $i = 0; $i < count( $deps ); $i++ ): if ( $i == 0 ) continue; ?>
                    <div>
                        <input id="wpap-ticket-department" class="regular-text" type="text" name="departments[]" value="<?php echo esc_attr( $deps[ $i ] ); ?>" placeholder="<?php esc_attr_e( 'Enter department name.', 'arvand-panel' ); ?>"/>
                        <a class="wpap-delete-department" href=""><i class="bx bx-trash"></i></a>
                    </div>
                <?php endfor; ?>
            </div>

            <a id="wpap-add-department" class="wpap-btn-3" href="">
                <i class="bx bx-plus"></i>
                <?php _e( 'Add', 'arvand-panel' ); ?>
            </a>
        </div>
    </div>

    <?php require WPAP_ADMIN_PATH . 'parts/button.php'; ?>
</form>
