<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$sections = [
    'general',
    'login',
    'register',
    'account-menu',
    'panel',
    'dashboard',
    'dash-boxes',
    'ticket',
    'ticket-department',
    'add-supporter',
    'supporters',
    'sms-providers',
    'pages',
    'shortcode',
    'email',
    'styles',
    'roles'
];

if ( isset( $_GET['section'] ) and in_array( $_GET['section'], $sections ) ) {
    $section = sanitize_text_field( $_GET['section'] );
}

$remove_args = [ 'g', 'dep-section', 'del-supporter', 'del-supporter-nonce' ];
?>

<div class="notice notice-error is-dismissible">
    <p>
        با توجه به منسوخ شدن کدهای استفاده شدۀ "ورود با گوگل" در افزونه، لطفاً تا بروزرسانی مربوطه، از امکان ورود با گوگل استفاده نکیند.
    </p>
</div>

<div id="wpap-settings" class="wpap-wrap wrap">
    <div id="wpap-settings-tab">
        <button id="wpap-show-nav-tab">
            <i class='bx bx-menu'></i>
        </button>

        <div id="wpap-nav-tab">
            <div id="wpap-brand">
                <img src="<?php echo WPAP_ADMIN_URL . 'assets/images/p-logo.jpg'; ?>" alt="<?php _e( 'Arvand Panel', 'arvand-panel' ); ?>"/>

                <div>
                    <strong><?php _e( 'Arvand Panel', 'arvand-panel' ); ?></strong>
	                <?php $plugin_data = get_file_data( WPAP_DIR_PATH . 'arvand-panel.php', [ 'Version' => 'Version' ], false ); ?>
                    <span><?php echo sprintf( __( 'نسخه %s', 'arvand-panel' ), $plugin_data['Version'] ); ?></span>
                </div>
            </div>

            <button id="wpap-hide-nav-tab">
                <i class='bx bx-x'></i>
            </button>

            <a class="wpap-nav-tab <?php echo ( ! isset( $section ) or  $section === 'general' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'general' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'General', 'arvand-panel' ); ?>
                <i class='bx bx-cog'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'login' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'login' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'Login', 'arvand-panel' ); ?>
                <i class='bx bx-log-in-circle'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'register' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'register' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'Register', 'arvand-panel' ); ?>
                <i class='bx bxs-user-plus'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'account-menu' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'account-menu' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'Account Menu', 'arvand-panel' ); ?>
                <i class='bx bxs-user-account' ></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'panel' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'panel' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'User Panel', 'arvand-panel' ); ?>
                <i class='bx bxs-book-content'></i>
            </a>

            <a class="wpap-nav-tab wpap-nav-tab-parent" href="">
                <?php _e( 'Dashboard', 'arvand-panel' ); ?>
                <i class='bx bx-tachometer'></i>
            </a>

            <div class="wpap-sub-nav-wrap" <?php echo ( ! empty( $_GET['g'] ) and $_GET['g'] === 'dash' ) ? 'style="display: block"' : null; ?>>
                <a class="wpap-nav-tab <?php echo ( isset( $section ) and ( $section === 'dashboard' ) ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'g' => 'dash', 'section' => 'dashboard' ], remove_query_arg( $remove_args ) ) ); ?>">
                    <?php _e( 'Dashboard settings', 'arvand-panel' ); ?>
                </a>

                <a class="wpap-nav-tab <?php echo ( isset( $section ) and ( $section === 'dash-boxes' ) ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'g' => 'dash', 'section' => 'dash-boxes' ], remove_query_arg( $remove_args ) ) ); ?>">
                    <?php _e( 'Info boxes', 'arvand-panel' ) ?>
                </a>
            </div>

            <a class="wpap-nav-tab wpap-nav-tab-parent" href="">
                <?php _e( 'Ticket', 'arvand-panel' ); ?>
                <i class='bx bx-support'></i>
            </a>

            <div class="wpap-sub-nav-wrap" <?php echo ( ! empty( $_GET['g'] ) and $_GET['g'] === 'ticket' ) ? 'style="display: block"' : null;; ?>>
                <a class="wpap-nav-tab <?php echo ( isset( $section ) and ( $section === 'ticket' ) ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'g' => 'ticket', 'section' => 'ticket' ], remove_query_arg( $remove_args ) ) ); ?>">
                    <?php _e( 'Ticket settings', 'arvand-panel' ); ?>
                </a>

                <a class="wpap-nav-tab <?php echo ( isset( $section ) and ( $section === 'ticket-department' ) ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'g' => 'ticket', 'section' => 'ticket-department' ], remove_query_arg( $remove_args ) ) ); ?>">
                    <?php _e( 'Ticket Department', 'arvand-panel' ) ?>
                </a>

                <a class="wpap-nav-tab <?php echo ( isset( $section ) and ( $section === 'add-supporter' ) ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'g' => 'ticket', 'section' => 'add-supporter' ], remove_query_arg( $remove_args ) ) ); ?>">
                    <?php _e( 'Add supporter', 'arvand-panel' ) ?>
                </a>

                <a class="wpap-nav-tab <?php echo ( isset( $section ) and ( $section === 'supporters' ) ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'g' => 'ticket', 'section' => 'supporters' ], remove_query_arg( $remove_args ) ) ); ?>">
                    <?php _e( 'Supporters', 'arvand-panel' ) ?>
                </a>
            </div>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'sms-providers' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'sms-providers' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'SMS providers', 'arvand-panel' ); ?>
                <i class='bx bx-mobile'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'pages' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'pages' ], remove_query_arg( $remove_args ) ) ); ?>">
		        <?php _e( 'Pages', 'arvand-panel' ); ?>
                <i class='bx bx-file'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'shortcode' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'shortcode' ], remove_query_arg( $remove_args ) ) ); ?>">
		        <?php _e( 'Shortcode', 'arvand-panel' ); ?>
                <i class='bx bx-code-block'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'email' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'email' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'Email', 'arvand-panel' ); ?>
                <i class='bx bx-envelope'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'styles' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'styles' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'Styles', 'arvand-panel' ); ?>
                <i class='bx bx-palette'></i>
            </a>

            <a class="wpap-nav-tab <?php echo ( isset( $section ) and $section === 'roles' ) ? 'wpap-nav-tab-active' : ''; ?>" href="<?php echo esc_url( add_query_arg( [ 'section' => 'roles' ], remove_query_arg( $remove_args ) ) ); ?>">
                <?php _e( 'Roles', 'arvand-panel' ); ?>
                <i class='bx bx-user-plus'></i>
            </a>
        </div>

        <div id="wpap-content-tab">
            <?php
            $section = ! isset( $section ) ? 'general' : $section;
            include_once WPAP_ADMIN_PATH . "templates/setting-forms/$section.php";
            ?>
        </div>
    </div>
</div>