<?php
if ( ! defined('ABSPATH') ) {
    exit;
}
?>

<div class="wpap-wrap wrap">
    <form id="wpwp-new-ticket-form" class="wpap-form" method="post" enctype="multipart/form-data">
        <?php wp_nonce_field( 'new_ticket_nonce', 'new_ticket_nonce' ); ?>
        <input type="hidden" name="form" value="wpap_new_ticket"/>
        <input type="hidden" name="recipient" value="<?php echo esc_attr( $user->ID ); ?>">

        <div id="wpap-recipient" class="wpap-field-wrap">
            <?php echo get_avatar( $user->ID ) . '<h2>' . esc_html( $user->user_login ) . '</h2>'; ?>
        </div>

        <div class="wpap-field-wrap">
            <label for="wpap-ticket-title">
                <?php _e( 'Title', 'arvand-panel' ); ?>
            </label>

            <input id="wpap-ticket-title" class="regular-text" type="text" name="ticket_title">
        </div>

        <div class="wpap-field-wrap">
            <?php
            $department_opt = wpap_ticket_department_options();
            $user_dep = unserialize( get_user_meta( get_current_user_id(), 'wpap_user_ticket_department', true ) );
            $departments = $user_dep ?: $department_opt['departments'];
            ?>

            <?php if ( $department_opt['enable_department'] ): ?>
                <label for="wpap-ticket-department"><?php _e( 'Department', 'arvand-panel' ); ?></label>

                <select id="wpap-ticket-department" class="regular-text" name="ticket_department">
                    <?php foreach ( $departments as $department ): ?>
                        <option value="<?php esc_attr_e( $department ); ?>">
                            <?php esc_html_e( $department ); ?>
                        </option>
                    <?php endforeach; ?>
                </select>
            <?php endif; ?>
        </div>

        <div class="wpap-field-wrap">
            <label for="wpap-ticket-content">
                <?php _e( 'Message', 'arvand-panel' ); ?>
            </label>

            <?php
            $args = [
                'wpautop' => true,
                'media_buttons' => false,
                'textarea_name' => 'ticket_content',
                'textarea_rows' => 8,
                'quicktags' => false,
                'tinymce' => [
                    'toolbar1' => 'bold,italic,underline,separator,alignleft,aligncenter,alignright,separator,link,unlink,undo,redo',
                    'toolbar2' => '',
                    'toolbar3' => '',
                ],
            ];

            wp_editor( __( 'Your Message', 'arvand-panel' ), 'wpap-ticket-content', $args );
            ?>
        </div>

        <div class="wpap-field-wrap">
            <label><?php _e( 'Upload Attachment', 'arvand-panel' ); ?></label>

            <div>
                <input id="wpap-attachment" type="file" name="wpap_attachment" hidden/>

                <label for="wpap-attachment" class="wpap-btn-3">
                    <i class="bx bx-upload"></i>
                    <?php _e( 'Upload Attachment', 'arvand-panel' ); ?>
                </label><br/>

                <p class="description">
                    <?php
                    $ticket_opt = wpap_ticket_options();
                    echo sprintf( __( 'Maximum size is %d and allowed extensions: jpg - jpeg - png - pdf - zip', 'arvand-panel' ), $ticket_opt['ticket_attachment_size'] );
                    ?>
                </p>

                <span id="wpap-attachment-file-name"></span>
            </div>
        </div>

        <?php
        $text = __( 'Create Ticket', 'arvand-panel' );
        $success_text = __( 'Created', 'arvand-panel' );
        require WPAP_ADMIN_PATH . 'parts/button.php';
        ?>
    </form>
</div>