<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<div class="wpap-wrap wrap">
    <div id="wpap-user-list-actions">
        <form id="wpap-user-search-form" method="post">
            <?php wp_nonce_field( 'search_user_nonce', 'search_user_nonce' ); ?>
            <input type="text" name="s" placeholder="<?php esc_attr_e( 'Enter a word.', 'arvand-panel' );?>"/>

            <button type="submit" name="search_user">
                <i class='bx bx-search-alt-2'></i>
            </button>
        </form>
    </div>

    <div class="wpap-table-wrap">
        <table id="wpap-user-list">
            <thead>
                <th><?php _e( 'Profile Image', 'arvand-panel' ); ?></th>
                <th><?php _e( 'Username', 'arvand-panel' ); ?></th>
                <th><?php _e( 'Email', 'arvand-panel' ); ?></th>
                <th><?php _e( 'Actions', 'arvand-panel' ); ?></th>
            </thead>

            <tbody>
                <?php
                $page_num = isset( $_GET['page-num'] ) ? absint( $_GET['page-num'] ) : 1;
                $limit = 20;

                $args = [
                    'offset' => ( $page_num - 1 ) * $limit,
                    'number' => $limit,
                    'search_columns' => [ 'user_login', 'user_nicename', 'user_email', 'user_url' ],
                ];

                if ( isset( $_POST['search_user'] ) and ! empty( $_POST['s'] ) ) {
                    if ( wp_verify_nonce( $_POST['search_user_nonce'], 'search_user_nonce' ) ) {
                        $args['search'] = '*' . esc_attr( $_POST['s'] ) . '*';
                    }
                }

                $users = get_users( $args );
                ?>

                <?php if ( count( $users ) ): ?>
                    <?php foreach ( $users as $user ): ?>
                        <?php
                        if ( $user->ID === get_current_user_id() ) {
                            continue;
                        }
                        ?>

                        <tr>
                            <td><?php echo get_avatar( $user->ID ); ?></td>
                            <td><?php esc_html_e( $user->user_login ); ?></td>
                            <td><?php echo ! empty( $user->user_email ) ? esc_html( $user->user_email ) : '---'; ?></td>

                            <td>
                                <a class="wpap-btn-3" href="<?php echo esc_url( add_query_arg( [ 'new-ticket' => $user->ID ], remove_query_arg( $remove_args ) ) ); ?>">
                                    <?php _e( 'New Ticket', 'arvand-panel' ); ?>
                                </a>
                            </td>
                        </tr>
                    <?php endforeach; ?>
                <?php else: ?>
                    <td colspan="4">
                        <?php _e( 'Not fount user.', 'arvand-panel' ); ?>
                    </td>
                <?php endif; ?>
            </tbody>
        </table>
    </div>

    <?php
    $total_users = count_users();
    $total_users = $total_users['total_users'];
    $num_of_pages = ceil( $total_users / $limit );

    $pl_args = array(
        'base' => add_query_arg( 'page-num', '%#%' ),
        'total' => $num_of_pages,
        'current' => $page_num,
    );

    echo paginate_links( $pl_args );
    ?>
</div>

