<?php
/**
 * Plugin Name: Arvand Panel
 * Plugin URI: https://arvandwp.ir
 * Description: A user account area plugin for wordpress cms.
 * Author: Arvand
 * Version: 4.4.8
 * Text Domain: arvand-panel
 * Domain Path: /languages
 * Requires at least: 5.6
 */

if ( ! defined( 'ABSPATH' ) ) {
    die;
}

// paths
define( 'WPAP_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'WPAP_INC_PATH', plugin_dir_path( __FILE__ ) . 'includes/' );
define( 'WPAP_ADMIN_PATH', plugin_dir_path( __FILE__ ) . 'admin/' );
define( 'WPAP_USER_PATH', plugin_dir_path( __FILE__ ) . 'user/' );

// urls
define( 'WPAP_ADMIN_URL', plugin_dir_url( __FILE__ ) . 'admin/' );
define( 'WPAP_USER_URL', plugin_dir_url( __FILE__ ) . 'user/' );

const WPAP_DEMO = 'demo';

function wpap_action_links( $links )
{
    $links[] = '<a href="admin.php?page=arvand-panel">' . __( 'Settings' ) . '</a>';
    return $links;
}

add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'wpap_action_links' );

// load text domain
function wpap_load_text_domain() {
    load_plugin_textdomain( 'arvand-panel', false, dirname( plugin_basename( __FILE__ ) ) . '/languages' );
}

add_action( 'plugins_loaded', 'wpap_load_text_domain' );

// include functions
require_once WPAP_INC_PATH . 'options.php';
require_once WPAP_INC_PATH . 'functions.php';

// include classes
require_once WPAP_INC_PATH . 'classes/includes.php';