<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class WPAPPostType {
    static public function init() {
        add_action( 'init', [ __CLASS__, 'wpap_notifications_post_type' ] );
        add_action( 'init', [ __CLASS__, 'wpap_ticket_post_type' ] );
        add_action( 'init', [ __CLASS__, 'wpap_register_field' ] );
        add_action( 'init', [ __CLASS__, 'wpap_private_message' ] );
    }

    static public function wpap_notifications_post_type() {
        $labels = [
            'name' => __( 'Notifications', 'arvand-panel' ),
            'singular_name' => __( 'Notice', 'arvand-panel' ),
            'menu_name' => __( 'Notifications', 'arvand-panel' ),
            'name_admin_bar' => __( 'Notice', 'arvand-panel' ),
            'add_new' => __( 'Add New', 'arvand-panel' ),
            'add_new_item' => __( 'Add Notice New', 'arvand-panel' ),
            'new_item' => __( 'New Notice', 'arvand-panel' ),
            'edit_item' => __( 'Edit Notice', 'arvand-panel' ),
            'view_item' => __( 'Display Notice', 'arvand-panel' ),
            'all_items' => __( 'Notifications', 'arvand-panel' ),
            'search_items' => __( 'Search Notifications', 'arvand-panel' ),
            'parent_item_colon' => __( 'Parent Notifications:', 'arvand-panel' ),
            'not_found' => __( 'Not found notice.', 'arvand-panel' ),
            'not_found_in_trash' => __( 'Not found notice in trash.', 'arvand-panel' ),
            'featured_image' => __( 'Notice image', 'arvand-panel' ),
            'set_featured_image' => __( 'Adjust notice image', 'arvand-panel' ),
            'remove_featured_image' => __( 'Delete notice image', 'arvand-panel' ),
            'use_featured_image' => __( 'Use as notice image', 'arvand-panel' ),
            'archives' => __( 'Notifications archives', 'recipe' ),
            'insert_into_item' => __( 'Insert into Notice', 'arvand-panel' ),
            'uploaded_to_this_item' => __( 'Upload into notice', 'arvand-panel' ),
            'filter_items_list' => __( 'Filter Notifications list', 'arvand-panel' ),
            'items_list_navigation' => __( 'Notifications list navigation', 'arvand-panel' ),
            'items_list' => __( 'Notifications List', 'arvand-panel' ),
        ];

        $args = [
            'labels' => $labels,
            'description' => 'notifications post type.',
            'public' => false,
            'show_ui' => true,
            'show_in_menu' => false,
            'query_var' => true,
            'rewrite' => [ 'slug' => 'wpap-notifications' ],
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => false,
            'supports' => [ 'title', 'editor' ],
            'show_in_rest' => true
        ];

        register_post_type( 'wpap_notifications', $args );
    }

    static public function wpap_ticket_post_type() {
        $labels = [
            'name' => 'Tickets',
            'singular_name' =>'Ticket',
            'menu_name' => 'Tickets',
            'name_admin_bar' => 'Ticket',
            'add_new' => 'Add New',
            'add_new_item' => 'Add New Ticket',
            'new_item' => 'New Ticket',
            'edit_item' => 'Edit Ticket',
            'view_item' => 'Display Ticket',
            'all_items' => 'Tickets',
            'search_items' => 'Search Tickets',
            'parent_item_colon' => 'Parent Tickets:',
            'not_found' => 'Not found ticket.',
            'not_found_in_trash' => 'Not found ticket in trash.',
            'featured_image' => 'Ticket Image',
            'set_featured_image' => 'Adjust ticket image',
            'remove_featured_image' => 'Delete ticket image',
            'use_featured_image' => 'Use as a ticket image',
            'archives' => 'Tickets Archive',
            'insert_into_item' => 'insert into ticket',
            'uploaded_to_this_item' => 'Upload in this ticket',
            'filter_items_list' =>'Filter Tickets List',
            'items_list_navigation' => 'Tickets List Navigation',
            'items_list' => 'Tickets list',
        ];

        $args = [
            'labels' => $labels,
            'description' => 'ticket post type.',
            'public' => false,
            'show_ui' => false,
            'show_in_menu' => false,
            'query_var' => true,
            'rewrite' => [ 'slug' => 'wpap-ticket' ],
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => true,
            'supports' => [],
            'show_in_rest' => true
        ];

        register_post_type( 'wpap_ticket', $args );
    }

    static public function wpap_register_field() {
        $labels = [
            'name' => 'register field',
            'singular_name' =>'register field',
            'menu_name' => 'register fields',
            'name_admin_bar' => 'register field',
            'add_new' => 'add new',
            'add_new_item' => 'add new register field',
            'new_item' => 'new register field',
            'edit_item' => 'edit register field',
            'view_item' => 'display register field',
            'all_items' => 'register fields',
            'search_items' => 'search register fields',
            'parent_item_colon' => 'register field parent:',
            'not_found' => 'not found register field.',
            'not_found_in_trash' => 'not found register field in trash.',
            'featured_image' => 'register field image',
            'set_featured_image' => 'add register field image',
            'remove_featured_image' => 'remove register field image',
            'use_featured_image' => 'use as register field image',
            'archives' => 'register field archive',
            'insert_into_item' => 'insert into register field',
            'uploaded_to_this_item' => 'upload in register field',
            'filter_items_list' => 'filter register field list',
            'items_list_navigation' => 'register field navigation list',
            'items_list' => 'register field list',
        ];

        $args = [
            'labels' => $labels,
            'description' => 'register field post type.',
            'public' => false,
            'show_ui' => false,
            'show_in_menu' => false,
            'query_var' => true,
            'rewrite' => [ 'slug' => 'wpap-reg-field' ],
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => true,
            'supports' => [],
            'show_in_rest' => true
        ];

        register_post_type( 'wpap_register_field', $args );
    }

    static public function wpap_private_message() {
        $labels = [
            'name' => 'Private Messages',
            'singular_name' =>'Private Message',
            'menu_name' => 'Private Messages',
            'name_admin_bar' => 'Private Messages',
            'add_new' => 'Add New',
            'add_new_item' => 'Add New Message',
            'new_item' => 'New Message',
            'edit_item' => 'Edit Message',
            'view_item' => 'Display Message',
            'all_items' => 'Messages',
            'search_items' => 'Search Messages',
            'parent_item_colon' => 'Parent Messages:',
            'not_found' => 'Not found message.',
            'not_found_in_trash' => 'Not found message in trash.',
            'featured_image' => 'Message Image',
            'set_featured_image' => 'Adjust message image',
            'remove_featured_image' => 'Delete message image',
            'use_featured_image' => 'Use as a message image',
            'archives' => 'Tickets Archive',
            'insert_into_item' => 'insert into message',
            'uploaded_to_this_item' => 'Upload in this message',
            'filter_items_list' =>'Filter message list',
            'items_list_navigation' => 'Messages list navigation',
            'items_list' => 'Messages list',
        ];

        $args = [
            'labels' => $labels,
            'description' => 'private message post type.',
            'public' => false,
            'show_ui' => false,
            'show_in_menu' => false,
            'query_var' => true,
            'rewrite' => [ 'slug' => 'wpap-private-message' ],
            'capability_type' => 'post',
            'has_archive' => true,
            'hierarchical' => true,
            'supports' => [],
            'show_in_rest' => true
        ];

        register_post_type( 'wpap_private_message', $args );
    }
}

WPAPPostType::init();