<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class WPAPRegister
{
    static function init()
    {
        add_action( 'init', [ __CLASS__, 'RedirectDefaultRegister' ] );
    }

    static public function RedirectDefaultRegister()
    {
        global $pagenow;
        $register = wpap_register_options();
	    $pages_opt = wpap_pages_options();
	    $register_page_url = get_permalink( $pages_opt['register_page_id'] );

        if ( $register['default_register'] and $register_page_url ) {
            if ( $pagenow === 'wp-login.php' and isset( $_GET['action'] ) and $_GET['action'] === 'register' ) {
                wp_safe_redirect( esc_url( $register_page_url ) );
                exit;
            }
        }
    }
}

WPAPRegister::init();