<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class WPAPField {
    static function supported_fields( $type = 'all' ) {
        $fields = [];

        if ( $type === 'all' ) {
            $fields = [ 'user_login', 'user_email', 'user_pass', 'first_name', 'last_name', 'display_name', 'user_url', 'text_field', 'radio', 'checkbox', 'drop_down', 'number_field', 'mobile' ];
        }

        if ( $type === 'wp' ) {
            $fields = [ 'user_login', 'user_email', 'user_pass', 'first_name', 'last_name', 'display_name', 'user_url' ];
        }

        if ( $type === 'required' ) {
            $fields = [ 'user_login', 'user_email', 'user_pass' ];
        }

        if ( $type === 'custom' ) {
            $fields = [ 'text_field', 'radio', 'checkbox', 'drop_down', 'number_field', 'mobile' ];
        }

        if ( $type === 'single' ) {
            $fields = [ 'user_login', 'user_email', 'user_pass', 'first_name', 'last_name', 'display_name', 'user_url', 'mobile' ];
        }

        if ( $type === 'multi' ) {
            $fields = [ 'text_field', 'radio', 'checkbox', 'drop_down', 'number_field' ];
        }

        if ( $type === 'single_input' ) {
            $fields = [ 'text_field', 'number_field' ];
        }

        if ( $type === 'multi_option' ) {
            $fields = [ 'radio', 'checkbox', 'drop_down' ];
        }

        return $fields;
    }

    static function field_exist( $field ) {
        $fields = [];

        $posts = get_posts([
            'post_type' => 'wpap_reg_field',
            'numberposts' => -1,
        ]);

        foreach ( $posts as $post ) $fields[] = $post->post_title;
        return in_array( $field, $fields );
    }

    static function savedFields() {
        $fields = [];
        $posts = get_posts( [ 'post_type' => 'wpap_reg_field', 'numberposts' => -1 ] );

        if ( $posts ) {
            foreach ( $posts as $post ) $fields[] = $post->post_title;
        }

        return $fields;
    }

    static function fieldIds() {
        $posts = get_posts([
            'post_type' => 'wpap_reg_field',
            'numberposts' => -1,
        ]);

        $ids = [];

        if ( $posts ) {
            foreach ( $posts as $post ) $ids[] = $post->ID;
        }

        return $ids;
    }

    static function user_pass_setting()
    {
        global $wpdb, $table_prefix;
        $res = $wpdb->get_row( "SELECT post_content FROM {$table_prefix}posts WHERE post_title = 'user_pass' AND post_type = 'wpap_reg_field'" );
        return $res ? $res->post_content : false;
    }

    static function mobile_field_exists()
    {
        global $wpdb, $table_prefix;
        $res = $wpdb->get_row( "SELECT post_title FROM {$table_prefix}posts WHERE post_title = 'mobile' AND post_type = 'wpap_reg_field'" );
        return ( bool ) $res;
    }
}