<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class WPAPFiledSettings {
    static function first_name_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Firstname', 'arvand-panel' ),
            'placeholder' => __( 'Firstname', 'arvand-panel' ),
            'required' => false,
            'min' => 0,
            'info' => '',
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function last_name_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Lastname', 'arvand-panel' ),
            'placeholder' => __( 'Lastname', 'arvand-panel' ),
            'required' => false,
            'min' => 0,
            'info' => '',
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function display_name_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Display Name', 'arvand-panel' ),
            'placeholder' => __( 'Display name', 'arvand-panel' ),
            'required' => false,
            'min' => 0,
            'info' => '',
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function user_login_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Username', 'arvand-panel' ),
            'placeholder' => __( 'Username', 'arvand-panel' ),
            'min' => 5,
            'info' => '',
            'user_edit_display' => 'hide',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function user_email_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Email', 'arvand-panel' ),
            'placeholder' => __( 'Email', 'arvand-panel' ),
            'info' => '',
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function user_pass_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Password', 'arvand-panel' ),
            'placeholder' => __( 'Password', 'arvand-panel' ),
            'conf_placeholder' => __( 'Confirm Password', 'arvand-panel' ),
            'info' => '',
            'min' => 8,
            'user_edit_display' => 'hide',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function user_url_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Website', 'arvand-panel' ),
            'placeholder' => __( 'Website', 'arvand-panel' ),
            'required' => false,
            'info' => '',
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function text_field_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Text', 'arvand-panel' ),
            'label' => __( 'Text', 'arvand-panel' ),
            'placeholder' => __( 'Text Field', 'arvand-panel' ),
            'meta_key' => 'wpap_text_meta_key',
            'required' => 'optional',
            'min' => 0,
            'info' => '',
            'num' => 0,
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function radio_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Radio button', 'arvand-panel' ),
            'label' => __( 'Radio button', 'arvand-panel' ),
            'meta_key' => 'wpap_radio_meta_key',
            'options' => [],
            'required' => 'optional',
            'info' => '',
            'radio_num' => 0,
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function checkbox_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Checkbox', 'arvand-panel' ),
            'label' => __( 'Checkbox', 'arvand-panel' ),
            'meta_key' => 'checkbox_meta_key',
            'options' => [],
            'required' => 'optional',
            'info' => '',
            'num' => 0,
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function drop_down_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Dropdown', 'arvand-panel' ),
            'label' => __( 'Dropdown', 'arvand-panel' ),
            'meta_key' => 'wpap_drop_down_meta_key',
            'select_text' => __( '--select--', 'arvand-panel' ),
            'options' => [],
            'required' => 'optional',
            'info' => '',
            'drop_down_num' => 0,
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function number_field_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Number Field', 'arvand-panel' ),
            'placeholder' => __( 'Number Field', 'arvand-panel' ),
            'meta_key' => 'wpap_number_meta_key',
            'required' => 'optional',
            'min' => 0,
            'min_attr' => 0,
            'max_attr' => 0,
            'info' => '',
            'num' => 0,
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }

    static function mobile_settings( $settings = '' ) {
        $default = [
            'title' => __( 'Phone Number', 'arvand-panel' ),
            'placeholder' => __( 'Phone Number', 'arvand-panel' ),
            'required' => 'optional',
            'info' => '',
            'user_edit_display' => 'show',
        ];

        return wp_parse_args( unserialize( $settings ), $default );
    }
}