<?php

class WPAPSMSProvidersFormHandler
{
    static function init()
    {
        add_action( 'wp_ajax_wpap_melipayamak', [ __CLASS__, 'meliPayamak' ] );
        add_action( 'wp_ajax_wpap_farapayamak', [ __CLASS__, 'farapayamak' ] );
        add_action( 'wp_ajax_wpap_sms_ir', [ __CLASS__, 'smsIr' ] );
        add_action( 'wp_ajax_wpap_farazsms', [ __CLASS__, 'farazSMS' ] );
        add_action( 'wp_ajax_wpap_modirpayamak', [ __CLASS__, 'modirPayamak' ] );
        add_action( 'wp_ajax_wpap_parsgreen', [ __CLASS__, 'parsgreen' ] );
        add_action( 'wp_ajax_wpap_raygansms', [ __CLASS__, 'rayganSMS' ] );
        add_action( 'wp_ajax_wpap_webone_sms', [ __CLASS__, 'weboneSMS' ] );
    }

    static function meliPayamak()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'username' => sanitize_text_field( $_POST['username'] ),
            'password' => sanitize_text_field( $_POST['password'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'pattern_code' => sanitize_text_field( $_POST['pattern_code'] ),
        ];

        update_option( 'wpap_sms_melipayamak', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function farapayamak()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'username' => sanitize_text_field( $_POST['username'] ),
            'password' => sanitize_text_field( $_POST['password'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'pattern_code' => sanitize_text_field( $_POST['pattern_code'] ),
        ];

        update_option( 'wpap_sms_farapayamak', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function smsIr()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'api_key' => sanitize_text_field( $_POST['api_key'] ),
            'secret_key' => sanitize_text_field( $_POST['secret_key'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'template_id' => sanitize_text_field( $_POST['template_id'] ),
        ];

        update_option( 'wpap_sms_sms_ir', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function farazSMS()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'username' => sanitize_text_field( $_POST['username'] ),
            'password' => sanitize_text_field( $_POST['password'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'pattern_code' => sanitize_text_field( $_POST['pattern_code'] ),
        ];

        update_option( 'wpap_sms_farazsms', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function modirPayamak()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'username' => sanitize_text_field( $_POST['username'] ),
            'password' => sanitize_text_field( $_POST['password'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'pattern_code' => sanitize_text_field( $_POST['pattern_code'] ),
        ];

        update_option( 'wpap_sms_modirpayamak', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function parsgreen()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [ 'api_key' => sanitize_text_field( $_POST['api_key'] ) ];
        update_option( 'wpap_sms_parsgreen', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function rayganSMS()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'username' => sanitize_text_field( $_POST['username'] ),
            'password' => sanitize_text_field( $_POST['password'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'text' => sanitize_textarea_field( $_POST['text'] ),
        ];

        update_option( 'wpap_sms_raygansms', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }

    static function weboneSMS()
    {
        if ( ! isset( $_POST['sms_nonce'] ) or ! wp_verify_nonce( $_POST['sms_nonce'], 'sms_nonce' ) ) {
            wp_send_json( 'error' );
        }

        $data = [
            'username' => sanitize_text_field( $_POST['username'] ),
            'password' => sanitize_text_field( $_POST['password'] ),
            'from' => sanitize_text_field( $_POST['from'] ),
            'text' => sanitize_textarea_field( $_POST['text'] ),
        ];

        update_option( 'wpap_sms_webone_sms', $data );
        update_option( 'wpap_sms', [ 'provider' => sanitize_text_field( $_POST['provider_name'] ) ] );
        $providers = WPAPSMS::supportedProviders();
        wp_send_json( [ 'status' => 'success', 'provider' => $providers[ $_POST['provider_name'] ] ] );
    }
}

WPAPSMSProvidersFormHandler::init();