<?php


class WPAPSMS
{
    public static function supportedProviders()
    {
        return [
            'melipayamak' => __( 'ملی پیامک', 'arvand-panel' ),
            'farapayamak' => __( 'فراپیامک', 'arvand-panel' ),
            'sms_ir' => __( 'sms.ir', 'arvand-panel' ),
            'farazsms' => __( 'فراز اس ام اس', 'arvand-panel' ),
            'modirpayamak' => __( 'مدیر پیامک', 'arvand-panel' ),
            'parsgreen' => __( 'پارس گرین', 'arvand-panel' ),
            'raygansms' => __( 'رایگان اس ام اس', 'arvand-panel' ),
            'webone_sms' => __( 'وب وان اس ام اس', 'arvand-panel' )
        ];
    }

    static function checkPhone( $phone_number ) {
	    $phone_number = wpap_en_num( $phone_number );
        $pattern = apply_filters( 'wpap_phone_number_pattern', "/^(?:98|\+98|0098|0)?9[0-9]{9}$/" );

        if ( ! preg_match( $pattern, $phone_number ) ) {
            return false;
        }

        $phone = false;

        if ( preg_match( '/^09[0-9]{9}$/', $phone_number ) )
            $phone = $phone_number;
        if ( preg_match( '/^989[0-9]{9}$/', $phone_number ) )
            $phone = '0' . substr( $phone_number, 2 );
        if ( preg_match( '/^\+989[0-9]{9}$/', $phone_number ) )
            $phone = '0' . substr( $phone_number, 3 );
        if ( preg_match( '/^00989[0-9]{9}$/', $phone_number ) )
            $phone = '0' . substr( $phone_number, 4 );
        if ( preg_match( '/^9[0-9]{9}$/', $phone_number ) )
            $phone = '0' . $phone_number;

        return $phone;
    }
}