<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

class WPAPSMSDB
{
    public static function init()
    {
        add_action( 'delete_user', [ __CLASS__, 'delete_data_by_delete_user' ] );
    }

    public function insertCode( $code, $phone )
    {
        global $wpdb, $table_prefix;
        $table = "{$table_prefix}wpap_sms_verification";
    
        if ( $this->getPhone( $phone ) ) {
            return ( bool ) $wpdb->update( $table, [ 'code' => $code ], [ 'mobile' => $phone ], [ '%d' ], [ '%s' ] );
        }

        return ( bool ) $wpdb->insert( $table, [ 'mobile' => $phone, 'code' => $code ], [ '%s', '%d' ] );
    }

    function getPhone( $phone ) {
        global $wpdb, $table_prefix;
        $table = "{$table_prefix}wpap_sms_verification";
        $res = $wpdb->get_row( $wpdb->prepare( "SELECT mobile FROM $table WHERE mobile = %s", [ $phone ] ) );
        return $res ?: false;
    }

    public function get_verification_data( $code )
    {
        if ( is_numeric( $code ) ) {
            global $wpdb;
            $code = intval( $code );
            $table = $wpdb->prefix . 'wpap_sms_verification';
            $res = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM $table WHERE code = %d", $code ), OBJECT );
            return $res ?: false;
        }

        return false;
    }

    public function update_verification_data( $mobile, $code, $user_id )
    {
        if ( is_numeric( $code ) ) {
            global $wpdb;
            $code = intval( $code );
            $table = $wpdb->prefix . 'wpap_sms_verification';
            return $wpdb->update( $table, [ 'mobile' => $mobile, 'code' => $code, 'status' => 'unverified' ], [ 'user_id' => $user_id ], [ '%s', '%d', '%s' ] );
        }

        return false;
    }

    public function get_user_mobile( $user_id )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        $res = $wpdb->get_row( $wpdb->prepare( "SELECT mobile FROM $table WHERE user_id = %d", $user_id ), OBJECT );
        return $res ? $res->mobile : false;
    }

    public function get_user_id_by_mobile( $mobile )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        $res = $wpdb->get_row( $wpdb->prepare( "SELECT user_id FROM $table WHERE mobile = %s", $mobile ), OBJECT );
        return $res ? $res->user_id : false;
    }

    static function isValidCode( $code, $phone )
    {
        global $wpdb;
        $code = intval( $code );
        $table = $wpdb->prefix . 'wpap_sms_verification';
	    return ( bool ) $wpdb->get_row( $wpdb->prepare( "SELECT code FROM $table WHERE code = %d AND mobile = %s", $code, $phone ) );
	}

    public function mobile_exists( $mobile )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        return $wpdb->get_row( $wpdb->prepare( "SELECT mobile FROM $table WHERE mobile = %s", $mobile ) );
    }

    public function isUserPhone( $mobile, $user_id )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        $res = $wpdb->get_row( $wpdb->prepare( "SELECT mobile FROM $table WHERE mobile = %s AND user_id = %d", $mobile, $user_id ) );
        return ( bool ) $res;
    }

    public function is_mobile_verified( $mobile )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        $res = $wpdb->get_row( $wpdb->prepare( "SELECT mobile FROM $table WHERE mobile = %s AND status = 'verified'", $mobile ) );
        return ( bool ) $res;
    }

    public function update_reg_code( $mobile, $code = 0, $user_id = 0, $status = 'unverified' )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        return $wpdb->update( $table, [ 'user_id' => $user_id, 'code' => $code, 'status' => $status ], [ 'mobile' => $mobile ], [ '%d', '%d', '%s' ] );
    }

    public function update_login_code( $mobile, $code = 0 )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        return $wpdb->update( $table, [ 'code' => $code ], [ 'mobile' => $mobile ], [ '%d' ] );
    }

    public static function delete_data_by_delete_user( $user_id )
    {
        global $wpdb;
        $table = $wpdb->prefix . 'wpap_sms_verification';
        return $wpdb->delete( $table, [ 'user_id' => $user_id ], [ '%d' ] );
    }
}

WPAPSMSDB::init();