<div id="wpap-profile-menu">
    <?php
    $account_menu = wpap_account_menu();
    $pages_opt = wpap_pages_options();
    ?>

    <?php if ( ! is_user_logged_in() ): ?>
	    <?php
	    $login_page_url = get_permalink( $pages_opt['login_page_id'] );
	    $sms_reg_login_page_url = get_permalink( $pages_opt['sms_register_login_page_id'] );
	    $register_page_url = get_permalink( $pages_opt['register_page_id'] );
	    ?>

        <?php if ( $account_menu['non_logged_in_btn'] === 'sms_signup_login' ): ?>
            <div id="wpap-register-login">
                <a id="wpap-profile-menu-login" href="<?php echo $sms_reg_login_page_url; ?>">
                    <?php _e( 'Login or Signup', 'arvand-panel' ); ?>
                </a>
            </div>
        <?php else: ?>
            <div id="wpap-register-login">
                <a id="wpap-profile-menu-login" href="<?php echo $login_page_url; ?>">
                    <?php _e( 'Login', 'arvand-panel' ); ?>
                </a>

                <span> | </span>

                <a id="wpap-profile-menu-register" href="<?php echo $register_page_url; ?>">
                    <?php _e( 'Register', 'arvand-panel' ); ?>
                </a>
            </div>
        <?php endif; ?>
    <?php else: ?>
        <?php
        $notice_count = WPAPPanel::notice_count();
	    $user = wp_get_current_user();
	    $msg_count = WPAPPrivateMessage::msg_unread_count( $user->ID );
	    $count = $notice_count + $msg_count;
        ?>

        <?php if ( $account_menu['logged_in_btn'] === 'icon_text' ): ?>
            <button class="wpap-profile-menu-btn">
                <i class='<?php echo esc_attr( $account_menu['logged_in_btn_icon'] ); ?>'></i>

                <span>
                    <?php
                    echo apply_filters( 'wpap_account_menu_logged_in_btn_text', esc_html( $account_menu['logged_in_btn_text'] ), $user );
                    ?>
                </span>

                <?php
                if ( $count > 0 ) {
                    echo '<span class="wpap-unread-count">' . esc_html( $count ) . '</span>';
                }
                ?>
            </button>
        <?php else:
            echo get_avatar( $user->ID, '', '', '', [ 'class' => [ 'wpap-profile-menu-btn' ] ] );

            if ( $count > 0 ) {
                echo '<span class="wpap-unread-count">' . esc_html( $count ) . '</span>';
            }
        endif; ?>

        <div id="profile-menu-wrap">
            <div>
                <?php
                if ( $account_menu['logged_in_btn'] === 'icon_text' ) {
                    echo apply_filters(
                        'wpap_account_menu_wrap_icon',
                        '<i class="' . esc_attr( $account_menu['logged_in_btn_icon'] ) . '"></i>',
                        $user
                    );
                } else {
	                echo apply_filters( 'wpap_account_menu_wrap_avatar', get_avatar( $user->ID ), $user );
                }

                echo apply_filters( 'wpap_account_menu_wrap_user_display_name', "<span>$user->display_name</span>", $user );
                ?>
            </div>

            <div>
                <?php
                $slug = WPAPPanel::panel_url();
                $after_logout_page_url = get_permalink( $pages_opt['after_logout_page_id'] );
                $logout_url = $after_logout_page_url ? wp_logout_url( $after_logout_page_url ) : wp_logout_url();

                $links = [
                    [ 'id' => 'dash', 'url' => esc_url( add_query_arg( 'section', 'dash', $slug ) ), 'icon' => 'bx bx-tachometer', 'name' => __( 'Dashboard', 'arvand-panel' ) ],
                    [ 'id' => 'user-edit', 'url' => esc_url( add_query_arg( 'section', 'user-edit', $slug ) ), 'icon' => 'bx bx-edit', 'name' => __( 'Edit Profile', 'arvand-panel' ) ],
                    [ 'id' => 'change-password', 'url' => esc_url( add_query_arg( 'section', 'change-password', $slug ) ), 'icon' => 'bx bx-key', 'name' => __( 'Change Password', 'arvand-panel' ) ],
                    [ 'id' => 'notifications', 'url' => esc_url( add_query_arg( 'section', 'notifications', $slug ) ), 'icon' => 'bx bx-bell', 'name' => __( 'Notifications', 'arvand-panel' ) ],
                    [ 'id' => 'tickets', 'url' => esc_url( add_query_arg( 'section', 'tickets', $slug ) ), 'icon' => 'bx bx-support', 'name' => __( 'Tickets', 'arvand-panel' ) ],
                    [ 'id' => 'private-msg', 'url' => esc_url( add_query_arg( 'section', 'private-msg', $slug ) ), 'icon' => 'bx bx-message-square-detail', 'name' => __( 'Private Message', 'arvand-panel' ) ],
                    [ 'id' => 'logout', 'url' => esc_url( $logout_url ), 'icon' => 'bx bx-power-off', 'name' => __( 'Logout', 'arvand-panel' ) ],
                ];

                apply_filters( 'wpap_account_menu_links', $links, $user );
                ?>

                <?php foreach ( $links as $link ): ?>
                    <a <?php echo $link['id'] === 'logout' ? 'id="wpap-logout-link"' : null; ?> href="<?php echo $link['url']; ?>">
                        <i class="<?php echo esc_attr( $link['icon'] ); ?>"></i>
                        <span><?php echo esc_attr( $link['name'] ); ?></span>

                        <?php
                        if ( $link['id'] === 'notifications' and $notice_count > 0 ) {
	                        echo '<span class="wpap-unread-count">' . esc_html( $notice_count ) . '</span>';
                        }

                        if ( $link['id'] === 'private-msg' and $msg_count > 0 ) {
	                        echo '<span class="wpap-unread-count">' . esc_html( $msg_count ) . '</span>';
                        }
                        ?>
                    </a>
                <?php endforeach; ?>
            </div>
        </div>
    <?php endif; ?>
</div>