const $ = jQuery;

export function wpapMessage(parent, text, type, dismissible = true, margin = true) {
    $('.wpap-msg').remove();
    let icon = 'bx-info-circle';

    switch ( type ) {
        case 'error':
            icon = 'bx bx-x-circle';
            break;
        case 'success':
            icon = 'bx bx-check-circle';
            break;
    }

    let msgMargin = ! margin ? 'style="margin: 0"' : '';

    let singleMessageHTML = (`
        <div class="wpap-msg wpap-${type}-msg" ${msgMargin}>
            <i class="${icon}"></i>
            <span class="wpap-msg-text">${text}</span>
            ${dismissible ? '<i class="bx bx-x wpap-dismiss-msg"></i>' : ''}
        </div>
    `);

    let multiMessageHTML = (`
        <div class="wpap-msg wpap-${type}-msg" ${msgMargin}>
            <i class="${icon}"></i>
            <ul></ul>
            ${dismissible ? '<i class="bx bx-x wpap-dismiss-msg"></i>' : ''}
        </div>
    `);

    let output = Array.isArray(text) ? multiMessageHTML : singleMessageHTML;
    parent.prepend(output);

    if (Array.isArray(text)) {
        for (let i of text) {
            $('.wpap-msg ul').append(`<li>${i}</li>`);
        }
    }

    let message = $('.wpap-msg');

    message.css({transform: 'scale(0.9)', transition: '100ms all'}).hide(0).fadeIn(100).css({transform: 'scale(1)'});
}

export function wpapMessage2(parent, text, type, reload = false ) {
    let icon = 'bx bx-info-circle';

    switch ( type ) {
        case 'error':
            icon = 'bx bx-x-circle';
            break;
        case 'success':
            icon = 'bx bx-check-circle';
            break;
    }

    let singleMessageHTML = (`
        <div class="wpap-message-wrap">
            <div class="wpap-msg-2 wpap-${type}-msg-2">
                <i class="${icon}"></i>
                <span class="wpap-msg-text">${text}</span>
                
                <button class="wpap-btn-1 wpap-close-message" ${reload ? 'data-reload="reload"' : ''}>
                    ${WPAPPanelFormHandler.closeMessageBtnText}
                </button>
            </div>
        </div>
    `);

    let multiMessageHTML = (`
        <div class="wpap-message-wrap">
            <div class="wpap-msg-2 wpap-${type}-msg-2">
                <i class="${icon}"></i>
                <ul></ul>
                
                <button class="wpap-btn-1 wpap-close-message" ${reload ? 'data-reload="reload"' : ''}>
                    ${WPAPPanelFormHandler.closeMessageBtnText}
                </button>
            </div>
        </div>
    `);

    let output = Array.isArray(text) ? multiMessageHTML : singleMessageHTML;
    parent.prepend(output);

    if (Array.isArray(text)) {
        for (let i of text) {
            $('.wpap-msg-2 ul').append(`<li>${i}</li>`);
        }
    }

    let message = $('.wpap-msg-2');
    message.css({transform: 'scale(0.9)', transition: '100ms all'}).hide(0).show(0);
    message.css({transform: 'scale(1)'});
}

export function wpapLoading(enable = true) {
    if (enable) {
        $('.wpap-btn-text').hide(0);
        $('.wpap-loading').show(0);
    } else {
        $('.wpap-loading').hide(0);
        $('.wpap-btn-text').show(0);
    }
}
