<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<form id="wpap-login-form" method="post">
	<?php
	do_action( 'wpap_top_login_form' );

	if ( ! $register['enable_admin_approval'] and $register['register_activation'] and ! empty( $_GET['email'] ) and is_email( $_GET['email'] ) and ! empty( $_GET['key'] ) ) {
		$user = get_user_by( 'email', sanitize_email( $_GET['email'] ) );

		if ( $user and $user->user_activation_key === $_GET['key'] ) {
			$status = get_user_meta( $user->ID, 'wpap_user_status', true );

			if ( ! $status ) {
				$update = update_user_meta( $user->ID, 'wpap_user_status', 1 );

				if ( $update ) {
					wpap_show_message( __( 'Your account has been activated. You can log in now.', 'arvand-panel' ), 'success' );
				}
			}
		} else {
			wpap_show_message( __( 'Invalid Request.', 'arvand-panel' ), 'error' );
		}
	}

	if ( isset( $_GET['login'] ) and $_GET['login'] === 'invalid_email' ) {
		wpap_show_message( __( 'Invalid Email.', 'arvand-panel' ), 'error' );
	}

	if ( isset( $_GET['login'] ) and $_GET['login'] === 'invalidkey' ) {
		wpap_show_message( __( 'Invalid code.', 'arvand-panel' ), 'error' );
	}

	if ( isset( $_GET['checkemail'] ) and $_GET['checkemail'] === 'confirm' ) {
		wpap_show_message( __( 'Password recovery link has been sent to your email. Please check your email and click on the link.', 'arvand-panel' ), 'success' );
	}

	if ( isset( $_GET['login'] ) and $_GET['login'] === 'expiredkey' ) {
		wpap_show_message( __( 'Password recovery link has expired.', 'arvand-panel' ), 'error' );
	}

	if ( isset( $_GET['password'] ) and $_GET['password'] === 'changed' ) {
		wpap_show_message( __( 'log in now.', 'arvand-panel' ), 'success' );
	}

	wp_nonce_field( 'login_nonce', 'wpap_login_nonce' );
	?>

	<p>
		<?php
		if ( $login['enable_sms_register_login'] or WPAPField::mobile_field_exists() ) {
			$placeholder = __( 'Username, email or mobile number', 'arvand-panel' );
		} else {
			$placeholder = __( 'Username or email', 'arvand-panel' );
		}
		?>

		<input type="text" name="user_login" placeholder="<?php echo esc_attr( $placeholder ); ?>"/>
	</p>

	<p>
		<input type="password" name="user_pass" placeholder="<?php _e( 'Password', 'arvand-panel' ); ?>" autocomplete="off"/>
	</p>

	<p>
        <span class="wpap-checkbox-wrap">
            <label for="wpap-remember">
                <input id="wpap-remember" name="remember" type="checkbox"/>
                <span class="wpap-checkbox"></span>
                <?php _e( 'Remember', 'arvand-panel' ); ?>
            </label>
        </span>
	</p>

	<?php if ( $login['enable_recaptcha'] and ! empty( $login['recaptcha_site_key'] ) ): ?>
		<script src="https://www.google.com/recaptcha/api.js" async defer></script>
		<div class="g-recaptcha" data-sitekey="<?php esc_attr_e( $login['recaptcha_site_key'] ); ?>"></div>
	<?php endif; ?>

	<button class="wpap-btn-1" type="submit">
		<span class="wpap-btn-text"><?php esc_attr_e( 'Login', 'arvand-panel' ); ?></span>
		<div class="wpap-loading"></div>
	</button>

	<?php if ( $login['enable_g_login'] ): ?>
		<div id="wpap-form-buttons">
			<?php if ( $login['enable_g_login'] ): ?>
				<div class="wpap-g-login-btn">
					<i class="bx bxl-google"></i>
					<span><?php _e( 'Login with google account', 'arvand-panel' ); ?></span>
				</div>
			<?php endif; ?>
		</div>
	<?php endif; ?>

	<?php do_action( 'wpap_bottom_login_form' ); ?>
</form>
