<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

do_action( 'wpap_before_login_forms' );

// -------- TEMP -------- //
global $wpdb;
$data = wpap_pages_options();
$q = "SELECT post_name FROM {$wpdb->prefix}posts WHERE post_name = 'wpap-register-login'";

if ( null === $wpdb->get_row( $q, 'ARRAY_A' ) ) {
	$page = array(
		'post_title' => __( 'SMS Register or login - Arvand Panel', 'arvand-panel' ),
		'post_name' => 'wpap-register-login',
		'post_content' => '[wpap_sms_register_login]',
		'post_status' => 'publish',
		'post_author' => get_current_user_id(),
		'post_type' => 'page',
	);

	$insert = wp_insert_post( $page );
	$data['sms_register_login_page_id'] = $insert;
}

update_option( 'wpap_plugin_pages', $data );
// -------- TEMP -------- //
?>

<?php if ( $login['enable_g_login'] ): ?>
    <div class="wpap-msg wpap-success-msg wpap-g-login-success">
        <i class="bx bx-check-circle"></i>
        <span class="wpap-msg-text"><?php _e( 'You have successfully logged in.', 'arvand-panel' ); ?></span>
    </div>

    <div class="wpap-msg wpap-info-msg wpap-login-loading-msg">
        <i class="bx bx-info-circle"></i>
        <span class="wpap-msg-text"><?php _e( 'Signing in ...', 'arvand-panel' ); ?></span>
    </div>
<?php endif; ?>

<?php
$register = wpap_register_options();

if ( $login['enable_def_login'] ) {
	require WPAP_USER_PATH . 'auth/login-form.php';
	require WPAP_USER_PATH . 'auth/send-activation-link.php';
	require WPAP_USER_PATH . 'auth/force-add-mobile.php';
} else {
	wpap_show_message( __( 'Login disabled.', 'arvand-panel' ), 'info', false );
}

$pages_opt = wpap_pages_options();
?>

<?php if ( $login['enable_def_login'] or $register['enable_def_reg'] or $login['enable_sms_register_login'] ): ?>
    <div id="wpap-form-links">
        <?php if ( $register['enable_def_reg'] ): ?>
            <a href="<?php echo get_permalink( $pages_opt['register_page_id'] ); ?>">
                <?php _e( 'Register', 'arvand-panel' ); ?>
            </a>
        <?php endif; ?>

        <?php if ( $login['enable_sms_register_login'] ): ?>
            <a href="<?php echo get_permalink( $pages_opt['sms_register_login_page_id'] ); ?>">
                <?php _e( 'Login or register with sms', 'arvand-panel' ); ?>
            </a>
        <?php endif; ?>

        <?php if ( $login['enable_def_login'] ): ?>
            <a href="<?php echo get_permalink( $pages_opt['lost_pass_page_id'] ); ?>">
                <?php _e( 'I forgot password', 'arvand-panel' ); ?>
            </a>
        <?php endif; ?>
    </div>
<?php endif; ?>
