<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

do_action( 'wpap_before_register_form' );
?>

<form id="wpap-register-form" method="post">
    <?php wp_nonce_field( 'register_nonce', 'wpap_register_nonce' ); ?>
    <input type="hidden" name="redirect_to" value="<?php echo get_permalink( $pages_opt['after_register_page_id'] ); ?>"/>

    <?php
    $posts = get_posts([
        'post_type' => 'wpap_reg_field',
        'order' => 'ASC',
        'orderby' => 'menu_order',
        'numberposts' => -1,
    ]);

    $fields = WPAPField::supported_fields();

    foreach ( $posts as $post ) {
        if ( in_array( $post->post_title, $fields ) ) {
            $method_name = esc_html( $post->post_title );
            WPAPFieldHtml::$method_name( $post->post_content );
        }
    }

    do_action( 'wpap_register_fields' );
    ?>

    <?php if ( $register['enable_agree'] ): ?>
        <p>
            <span id="wpap-agree" class="wpap-checkbox-wrap">
                <label for="wpap-agree-input">
                    <input id="wpap-agree-input" type="checkbox" name="agree"/>
                    <span class="wpap-checkbox"></span>
                    <span id="wpap-agree-text"><?php echo wp_kses( $register['agree_text'], 'post' ); ?></span>
                </label>
            </span>
        </p>
    <?php endif; ?>

    <?php if ( $register['enable_recaptcha'] and ! empty( $register['recaptcha_site_key'] ) ): ?>
        <script src="https://www.google.com/recaptcha/api.js" async defer></script>
        <div class="g-recaptcha" data-sitekey="<?php esc_attr_e( $register['recaptcha_site_key'] ); ?>"></div>
    <?php endif; ?>

    <button class="wpap-btn-1" type="submit">
        <span class="wpap-btn-text"><?php esc_attr_e( 'register', 'arvand-panel' ); ?></span>
        <div class="wpap-loading"></div>
    </button>
</form>

<?php do_action( 'wpap_after_register_form' ); ?>