<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<form id="wpap-sms-register-form" method="post">
	<?php
	do_action( 'wpap_top_sms_register_verify_form' );
	wp_nonce_field( 'sms_register_verify_nonce', 'sms_register_verify_nonce' );
	?>

	<?php if ( $attributes['redirect_url'] === 'current' ): ?>
        <input type="text" name="redirect_to" value="" hidden="hidden"/>
	<?php elseif ( ! empty( $attributes['redirect_url'] ) ): ?>
        <input type="text" name="redirect_to" value="<?php echo esc_attr( $attributes['redirect_url'] ); ?>" hidden="hidden"/>
	<?php elseif ( $redirect_page_id > 0 ): ?>
        <input type="text" name="redirect_to" value="<?php echo get_permalink( $redirect_page_id ); ?>" hidden="hidden"/>
	<?php else: ?>
        <input type="text" name="redirect_to" value="<?php echo get_permalink( $pages_opt['after_sms_register_login_page_id'] ); ?>" hidden="hidden"/>
	<?php endif; ?>

	<p>
		<input type="text" name="verification_code" placeholder="<?php _e( 'Enter verification code', 'arvand-panel' ); ?>"/>
	</p>

	<?php if ( $register['sms_reg_password'] ): ?>
		<div id="wpap-password-inputs-wrap">
			<?php WPAPFieldHtml::user_pass( WPAPField::user_pass_setting() ); ?>
		</div>
	<?php endif; ?>

	<?php if ( $register['enable_agree'] ): ?>
		<p>
            <span id="wpap-agree" class="wpap-checkbox-wrap">
                <label for="wpap-sms-reg-agree">
                    <input id="wpap-sms-reg-agree" type="checkbox" name="sms_reg_agree"/>
                    <span class="wpap-checkbox"></span>

                    <span id="wpap-agree-text">
                        <?php echo wp_kses( $register['agree_text'], 'post' ); ?>
                    </span>
                </label>
            </span>
		</p>
	<?php endif; ?>

	<button class="wpap-btn-1" type="submit">
		<span class="wpap-btn-text"><?php esc_attr_e( 'Register', 'arvand-panel' ); ?></span>
		<div class="wpap-loading"></div>
	</button>

    <div id="wpap-form-buttons">
        <div id="wpap-change-phone-btn">
            <i class="bx bx-edit"></i>
            <span><?php _e( 'Change number', 'arvand-panel' ); ?></span>
        </div>
    </div>

	<?php do_action( 'wpap_bottom_sms_register_verify_form' ); ?>
</form>
