<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$page = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
$limit = $panel['comments_per_page'];
$offset = ( $page * $limit ) - $panel['comments_per_page'];

$comments = get_comments([
    'user_id' => $current_user->ID,
    'number' => $panel['comments_per_page'],
    'offset' => $offset,
]);
?>

<div id="wpap-comments">
    <?php if ( count( $comments ) > 0 ): ?>
        <?php foreach ( $comments as $comment ): ?>
            <article class="wpap-card">
                <header>
                    <?php echo get_avatar( esc_html( $post->post_author ), '50' ); ?>

                    <span class="wpap-sender-name">
                        <?php echo get_the_author_meta( 'display_name' ); ?>
                    </span>

                    <?php
                    if ( $comment->comment_approved ) {
                        echo '<span class="wpap-badge-success">' . __( 'Approved', 'arvand-panel' ) . '</span>';
                    } else {
                        echo '<span class="wpap-badge-warning">' . __( 'Unapproved', 'arvand-panel' ) . '</span>';
                    }
                    ?>
                </header>
                
                <div>
                    <div class="wpap-comment-content wpap-card-content">
                        <p><?php esc_html_e( $comment->comment_content ); ?></p>

                        <span class="wpap-comment-post">
                            <?php
                            $post = get_post( $comment->comment_post_ID );

                            echo __( 'For: ', 'arvand-panel' );
                            echo '<a href="' . esc_url( get_the_permalink( $comment->comment_post_ID ) ) . '">' . esc_html( $post->post_title ) . '</a>';
                            ?>
                        </span>
                    </div>

                    <footer>
                        <span>
                            <i class="bx bx-time"></i>
                            <?php echo sprintf( __( '%s at %s', 'arvand-panel' ), get_comment_date( '', $comment->comment_ID ), get_comment_date( 'h:i', $comment->comment_ID ) ); ?>
                        </span>
                    </footer>
                </div>
            </article>
        <?php endforeach; ?>

        <?php
        $total_comments = get_comments( [ 'user_id' => $current_user->ID ] );
        $big = 999999999;

        echo paginate_links([
            'total' => ceil( count( $total_comments ) / $limit ),
            'base' => str_replace( $big, '%#%', esc_url( get_pagenum_link( $big ) ) ),
            'format' => '?paged=%#%',
            'current' => max( 1, get_query_var( 'paged' ) ),
        ]);
        ?>
    <?php else: ?>
        <?php wpap_show_message( __( 'There is no comment.', 'arvand-panel' ), 'info', false ); ?>
    <?php endif; ?>
</div>