<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<div id="wpap-dashboard">
    <?php
    WPAPPanel::important_notices();

    do_action( 'wpap_top_dashboard' );

    $dash = wpap_dash_options();
    ?>

    <?php if ( ! empty( $shortcode['dash_top_shortcode'] ) ): ?>
        <div class="wpap-dash-top-shortcode-wrap">
            <?php echo do_shortcode( wp_kses( $shortcode['dash_top_shortcode'], 'post' ) ); ?>
        </div>
    <?php endif; ?>

    <div class="row">
        <?php if ( $dash['user_details_display'] === 'show' ): ?>
            <div class="col-lg-7">
                <div id="wpap-user-details">
                    <?php
                    $user_avatar = get_avatar( $current_user->ID );

                    if ( $user_avatar ) {
                        echo apply_filters( 'wpap_dash_user_details_avatar', $user_avatar );
                    }
                    ?>

                    <div>
                        <?php
                        $edit_profile_link = '<a class="wpap-btn-1" href=' . esc_url( add_query_arg( 'section', 'user-edit' ) ) . '>';
                        $edit_profile_link .= '<i class="bx bxs-user-detail"></i>' . __( 'Edit Profile', 'arvand-panel' ) . '</a>';

                        $user_info = apply_filters(
                            'wpap_dash_user_info_items',
                            [
                                'display_name' => "<h4>$current_user->display_name</h4>",
                                'user_email' => "<span>$current_user->user_email</span>",
                                'edit_profile_link' => $edit_profile_link
                            ],
                            $current_user
                        );

                        foreach ( $user_info as $key => $item ) {
                            if ( $key === 'edit_profile_link' and ! in_array( 'user-edit', $sections ) ) {
                                continue;
                            }

                            echo $item;
                        }
                        ?>
                    </div>

                    <?php do_action( 'wpap_dash_user_details', $current_user ); ?>
                </div>
            </div>
        <?php endif; ?>

        <?php if ( $dash['date_info_display'] === 'show' ): ?>
            <div class="col-lg-5">
                <div id="wpap-date-info">
                    <div id="wpap-reg-date">
                        <?php echo apply_filters( 'wpap_dash_register_date_title', '<h3>'. __( 'Registered Date', 'arvand-panel' ) . '</h3>' ); ?>

                        <span>
                            <i class='bx bx-calendar-star'></i>
                            <?php echo wp_date( get_option( 'date_format' ), strtotime( esc_html( $current_user->user_registered ) ) ); ?>
                        </span>
                    </div>

                    <div id="wpap-date">
                        <?php echo apply_filters( 'wpap_dash_today_date_title', '<h3>' . __( 'Today', 'arvand-panel' ) . '</h3>' ); ?>

                        <span>
                            <i class='bx bx-calendar'></i>
                            <?php echo wp_date( get_option( 'date_format' ) ); ?>
                        </span>
                    </div>
                </div>
            </div>
        <?php endif; ?>
    </div>

    <?php do_action( 'wpap_before_info_boxes' ); ?>

	<?php if ( ! empty( $shortcode['before_dash_info_boxes'] ) ): ?>
        <div class="wpap-before-info-boxes-shortcode">
			<?php echo do_shortcode( wp_kses( $shortcode['before_dash_info_boxes'], 'post' ) ); ?>
        </div>
	<?php endif; ?>

    <?php include WPAP_USER_PATH . 'parts/dash/dash-info-boxes.php'; ?>

	<?php if ( ! empty( $shortcode['after_dash_info_boxes'] ) ): ?>
        <div class="wpap-after-info-boxes-shortcode">
			<?php echo do_shortcode( wp_kses( $shortcode['after_dash_info_boxes'], 'post' ) ); ?>
        </div>
	<?php endif; ?>

    <?php
    do_action( 'wpap_after_info_boxes' );

    if ( $dash['latest_tickets_display'] === 'show' ) {
        include WPAP_USER_PATH . 'parts/dash/dash-tickets.php';
    }

    do_action( 'wpap_bottom_dashboard' );
    ?>

    <?php if ( ! empty( $shortcode['dash_bottom_shortcode'] ) ): ?>
        <div class="wpap-dash-bottom-shortcode-wrap">
            <?php echo do_shortcode( wp_kses( $shortcode['dash_bottom_shortcode'], 'post' ) ); ?>
        </div>
    <?php endif; ?>
</div>