<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<div id="wpap-new-ticket">
    <div class="wpap-form-wrap">
        <form id="wpap-new-ticket-form" method="post" enctype="multipart/form-data">
            <?php wp_nonce_field( 'new_ticket', 'new_ticket_nonce' ); ?>
            <input type="hidden" name="action" value="send_ticket"/>

            <p>
                <input type="text" name="ticket_subject" placeholder="<?php esc_attr_e('Subject', 'arvand-panel'); ?>">
            </p>

            <p>
                <label for="wpap-ticket-priority"><?php _e( 'Priority', 'arvand-panel' ); ?></label>

                <select id="wpap-ticket-priority" name="ticket_priority">
                    <option value="low"><?php _e( 'Low', 'arvand-panel' ); ?></option>
                    <option value="normal" selected><?php _e( 'Normal', 'arvand-panel' ); ?></option>
                    <option value="high"><?php _e( 'High', 'arvand-panel' ); ?></option>
                </select>
            </p>

            <?php $department_opt = wpap_ticket_department_options(); ?>

            <?php if ( $department_opt['enable_department'] ): ?>
                <p>
                    <label for="wpap-ticket-department"><?php _e( 'Department', 'arvand-panel' ); ?></label>

                    <select id="wpap-ticket-department" name="ticket_department">
                        <?php foreach ( $department_opt['departments'] as $dep ): ?>
                            <option value="<?php esc_attr_e( $dep ); ?>">
                                <?php esc_html_e( $dep ); ?>
                            </option>
                        <?php endforeach; ?>
                    </select>
                </p>
            <?php endif; ?>

            <label><?php _e( 'Your Message', 'arvand-panel' ); ?></label>

            <?php
            $args = [
                'media_buttons' => false,
                'textarea_name' => 'ticket_content',
                'textarea_rows' => 5,
                'quicktags' => false,
                'tinymce' => [
                    'toolbar1' => 'bold,italic,underline,separator,alignleft,aligncenter,alignright,separator,link,unlink,undo,redo',
                    'toolbar2' => '',
                    'toolbar3' => '',
                ],
            ];

            wp_editor( '', 'wpap-ticket-content', $args );
            ?>

            <p>
                <label id="wpap-upload-attachment">
                    <input type="file" name="wpap_attachment" hidden/>
                    <i class="bx bx-upload"></i>
                    <span><?php _e( 'Upload Attachment', 'arvand-panel' ); ?></span>
                </label>

                <span class="wpap-input-info">
                    <?php
                    $ticket_opt = wpap_ticket_options();
                    echo sprintf( __( 'Maximum size is %d KB and allowed extensions: jpg - jpeg - png - pdf - zip', 'arvand-panel' ), $ticket_opt['ticket_attachment_size'] );
                    ?>
                </span>
            </p>

            <button class="wpap-btn-1" type="submit">
                <span class="wpap-btn-text"><?php esc_attr_e( 'Send Message', 'arvand-panel' ); ?></span>
                <div class="wpap-loading"></div>
            </button>
        </form>
    </div>
</div>