<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;

$query = new WP_Query([
    'post_type' => 'wpap_notifications',
    'publish' => true,
    'posts_per_page' => $panel['notifications_per_page'],
    'paged' => $paged,
]);
?>

<div id="wpap-notifications">
    <?php if ( $query->have_posts() ): ?>
        <?php $last_read = get_user_meta( $current_user->ID, 'wpap_notice_read', true ); ?>

        <?php while ( $query->have_posts() ): $query->the_post(); ?>
            <article class="wpap-card">
                <header>
                    <?php if ( ! $last_read or get_post_timestamp() > $last_read ): ?>
                        <strong class="wpap-unread wpap-badge-error">
                            <?php _e( 'New', 'arvand-panel' ); ?>
                        </strong>
                    <?php endif; ?>

                    <?php echo get_avatar( esc_html( $post->post_author ), '50' ); ?>

                    <span class="wpap-sender-name">
                        <?php echo get_the_author_meta( 'display_name' ); ?>
                    </span>
                </header>

                <div>
                    <div class="wpap-card-content">
                        <?php if ( ! empty( get_the_title() ) ): ?>
                            <h3><?php the_title(); ?></h3>
                        <?php endif;?>

                        <?php the_content(); ?>
                    </div>

                    <footer>
                        <span>
                            <i class="bx bx-time"></i>
                            <?php echo get_the_date(); ?>
                        </span>
                    </footer>
                </div>
            </article>
        <?php endwhile; ?>

        <?php
        include_once WPAP_USER_PATH . '/parts/pagination.php';
        wp_reset_postdata();
        ?>
    <?php else: ?>
        <?php wpap_show_message( __( 'There is no notice.', 'arvand-panel' ), 'info', false ); ?>
    <?php endif; ?>
</div>

<?php
if ( $current_user->user_login !== WPAP_DEMO ) {
    WPAPPanel::set_last_notice_time();
}
?>
