<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$paged = ( get_query_var( 'paged' ) ) ? absint( get_query_var( 'paged' ) ) : 1;
?>

<div id="wpap-private-message">
    <div class="wpap-table-wrap">
        <table>
            <?php
            $query = new WP_Query([
                'post_type' => 'wpap_private_message',
                'meta_key' => 'wpap_private_msg_recipient',
                'meta_value' => $current_user->ID,
                'post_parent' => 0,
                'posts_per_page' => 10,
                'paged' => $paged,
            ]);
            ?>

            <thead>
                <?php
                if ( get_option( 'show_avatars' ) ) {
                    echo '<th>' . __( 'Sender Avatar', 'arvand-panel' ) . '</th>';
                }
                ?>

                <th><?php _e( 'Sender', 'arvand-panel' ); ?></th>
                <th><?php _e( 'Title', 'arvand-panel' ); ?></th>
                <th><?php _e( 'Date', 'arvand-panel' ); ?></th>
                <th><?php _e( 'Status', 'arvand-panel' ); ?></th>

                <?php
                if ( $query->have_posts() ){
                    echo '<th></th>';
                }
                ?>
            </thead>

            <tbody>
                <?php if ( $query->have_posts() ): ?>
                    <?php while ( $query->have_posts() ): $query->the_post(); ?>
                        <tr>
                            <?php
                            if ( get_option( 'show_avatars' ) ) {
                                echo '<td>' . get_avatar( get_the_author_meta( 'id' ) ) . '</td>';
                            }
                            ?>

                            <td><?php echo get_the_author_meta( 'login' ); ?></td>
                            <td><?php echo ! empty( get_the_title() ) ? wp_trim_words( get_the_title(), 5 ) : '---'; ?></td>
                            <td><?php echo get_the_date(); ?></td>

                            <td>
                                <?php
                                $unread = get_post_meta( get_the_ID(), 'wpap_read', true );
                                $count =  WPAPPrivateMessage::msg_unread_count( $current_user->ID, get_the_ID() );

                                if ( $unread ) {
                                    $count = $count + 1;
                                }

                                if ( $count ) {
                                    echo '<strong class="wpap-badge-error">' . sprintf( __( '%d unread', 'arvand-panel' ), $count ) . '</strong>';
                                } else {
                                    echo '<strong class="wpap-badge-success">' . __( 'Read', 'arvand-panel' ) . '</strong>';
                                }
                                ?>
                            </td>

                            <td>
                                <a class="wpap-view-msg wpap-btn-1" href="<?php echo esc_url( add_query_arg( [ 'msg' => get_the_ID() ], remove_query_arg( $remove_args ) ) ); ?>">
                                    <?php _e( 'View', 'arvand-panel' ); ?>
                                </a>
                            </td>
                        </tr>
                    <?php endwhile; ?>
                <?php else: ?>
                    <td colspan="7"><?php _e( 'There is no message.', 'arvand-panel' ); ?></td>
                <?php endif; ?>
            </tbody>
        </table>
    </div>

    <?php include_once WPAP_USER_PATH . '/parts/pagination.php'; ?>
</div>