<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<div id="wpap-user-edit">
    <div class="wpap-form-wrap">
        <form id="user-edit-form" method="post" enctype="multipart/form-data">
            <?php wp_nonce_field('user_edit_nonce', 'user_edit_nonce'); ?>
            <input type="hidden" name="action" value="user_edit"/>

            <?php if ( $panel['upload_avatar'] and get_avatar( $current_user->ID ) ): ?>
                <div id="wpap-pro-pic">
                    <?php echo get_avatar( $current_user->ID, '80' ); ?>

                    <div id="wpap-pro-pic-buttons">
                        <label for="wpap-upload-pro-pic">
                            <i class='bx bx-camera'></i>
                        </label>

                        <?php $profile_img_url = get_user_meta( $current_user->ID, 'wpap_profile_img', true ); ?>

	                    <?php if ( $profile_img_url ): ?>
                            <a id="wpap-delete-avatar-btn" href="" data-user="<?php echo esc_attr( $current_user->ID ); ?>">
                                <i class='bx bx-trash'></i>
                            </a>
	                    <?php endif; ?>
                    </div>

                    <input id="wpap-upload-pro-pic" type="file" name="profile_pic" hidden/>

                    <span class="wpap-input-info">
                        <?php echo sprintf( __( 'Maximum size is %d KB. Allowed extensions: jpg, jpeg and png', 'arvand-panel' ), esc_html( $panel['avatar_size'] ) ); ?>
                    </span>
                </div>
            <?php endif; ?>

            <?php
            $posts = get_posts([
	            'post_type' => 'wpap_reg_field',
	            'order' => 'ASC',
	            'orderby' => 'menu_order',
	            'numberposts' => -1,
            ]);

            $fields = WPAPField::supported_fields();
            $user = get_user_by( 'id', $current_user->ID );

            foreach ( $posts as $post ) {
                $method_name = esc_html( "{$post->post_title}_settings" );
                $field_settings = WPAPFiledSettings::$method_name( $post->post_content );

                if ( in_array( $post->post_title, $fields ) and $field_settings['user_edit_display'] === 'hide' ) {
                    continue;
                }

                if ( $post->post_title === 'user_email' and empty( $current_user->user_email ) ) {
                    continue;
                }

                if ( $post->post_title !== 'user_pass' and in_array( $post->post_title, $fields ) ) {
                    $method_name = esc_html( $post->post_title );

                    if ( in_array( $post->post_title, [ 'first_name', 'last_name', 'user_login', 'user_email', 'display_name', 'user_url' ] ) ) {
                        WPAPFieldHtml::$method_name( $post->post_content, $user->{$post->post_title} );
                    } else {
	                    WPAPFieldHtml::$method_name( $post->post_content, $current_user->ID );
                    }
                }

                do_action( 'wpap_user_edit_fields', $current_user );
            }
            ?>

            <button class="wpap-btn-1" type="submit">
                <span class="wpap-btn-text"><?php esc_attr_e( 'Edit', 'arvand-panel' ); ?></span>
                <div class="wpap-loading"></div>
            </button>
        </form>
    </div>
</div>