<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>

<div id="wpap-dash-info-wrap" class="row">
	<?php $dash_box = wpap_dash_box_options(); ?>

	<?php foreach ( $dash_box as $key => $box ): ?>
		<?php if ( $box['display'] === 'show' ): ?>
			<div class="col-sm-6 col-md-6 col-lg-4">
				<?php
				if ( $box['box_type'] === 'default' ) {
					echo '<a href="' . esc_url( add_query_arg( 'section', str_replace( '_', '-', $box['name'] ) ) ) . '">';
				} elseif ( ! empty( $box['link'] ) ) {
					echo '<a href="' . esc_url( $box['link'] ) . '">';
				}
				?>

				<div class="wpap-dash-info-box" style="background-color: <?php esc_attr_e( $box['bg_color'] ); ?>">
					<i class="<?php esc_attr_e( $box['icon'] ); ?>" style="<?php echo 'background-color:' . esc_attr( $box['icon_bg'] ) . ';color:' . esc_attr( $box['icon_color'] ); ?>"></i>

					<h3 style="color: <?php esc_attr_e( $box['title_color'] ); ?>">
						<?php esc_html_e( $box['title'] ); ?>
					</h3>

					<?php if ( $box['name'] === 'notifications' ): ?>
						<span style="color: <?php esc_attr_e( $box['content_color'] ); ?>">
                            <?php
                            $count = WPAPPanel::notice_count();

                            if ( $count ) {
                                echo sprintf( __( '%d notice(s) from admin.', 'arvand-panel' ), $count );
                            } else {
                                _e( 'There is no new notice.', 'arvand-panel' );
                            }
                            ?>
                        </span>
					<?php elseif ( $box['name'] === 'comments' ): ?>
						<span style="color: <?php esc_attr_e( $box['content_color'] ); ?>">
                             <?php
                             $comments = get_comments( [ 'user_id' => $current_user->ID ] );
                             $comments_count = count( $comments );

                             if ( $comments_count ) {
                                 echo sprintf( __( '%d comments.', 'arvand-panel' ), $comments_count );
                             } else {
                                 _e( 'There is no comment.', 'arvand-panel' );
                             }
                             ?>
                        </span>
					<?php elseif ( $box['name'] === 'private_msg' ): ?>
						<span style="color: <?php esc_attr_e( $box['content_color'] ); ?>">
                             <?php
                             $unread_msg_count = WPAPPrivateMessage::msg_unread_count( $current_user->ID );

                             if ( $unread_msg_count ) {
                                 echo sprintf( __( '%d messages.', 'arvand-panel' ), $unread_msg_count );
                             } else {
                                 _e( 'There is no message.', 'arvand-panel' );
                             }
                             ?>
                        </span>
					<?php else: ?>
						<?php if ( $box['content_type'] === 'text' ): ?>
							<span id="wpap-<?php esc_attr_e( $box['name'] ); ?>" style="color: <?php esc_attr_e( $box['content_color'] ); ?>">
                                <?php esc_html_e( $box['content'] ); ?>
                            </span>
						<?php elseif ( $box['content_type'] === 'shortcode' ): ?>
							<div style="color: <?php esc_attr_e( $box['content_color'] ); ?>">
								<?php echo do_shortcode( wp_kses( $box['content'], 'post' ) ); ?>
							</div>
						<?php endif; ?>
					<?php endif; ?>
				</div>

				<?php
				if ( ! empty( $box['link'] ) or $box['box_type'] === 'default' ) {
					echo '</a>';
				}
				?>
			</div>
		<?php endif; ?>
	<?php endforeach; ?>
</div>
