<div id="wpap-dash-tickets">
    <div id="wpap-dash-ticket-status-wrap">
        <?php
        $user_dep = WPAPTicket::userDepartment( $current_user->ID );
        $ticket_dep_count = $user_dep ?: [];
        $count = $ticket::count( 'open', $ticket_dep_count, true );
        ?>

        <div id="wpap-dash-open-tickets">
            <span class="wpap-dash-ticket-status-count">
                <?php
                echo sprintf(
	                $count > 1 ? __(  '%d tickets', 'arvand-panel' ) : __(  '%d ticket', 'arvand-panel' ),
                    $count
                );
                ?>
            </span>

            <span>
                <?php $color = $count ? '#ff006c' : '#bfbfbf'; ?>
                <span class="wpap-ticket-color" style="background-color: <?php echo esc_attr( $color ); ?>"></span>
                <?php _e( 'Open', 'arvand-panel' ); ?>
            </span>
        </div>

        <?php
        $ticket_opt = wpap_ticket_options();
        $ticket_status = $ticket_opt['ticket_status'];
        ?>

        <?php if ( count( $ticket_status['name'] ) ): ?>
            <?php for ( $i = 0; $i < count( $ticket_status['name'] ); $i++ ): ?>
                <?php
                if ( ! $ticket::count( $ticket_status['name'][ $i ], $ticket_dep_count, true ) ) {
	                continue;
                }
                ?>

                <div>
                    <span class="wpap-dash-ticket-status-count">
                        <?php
                        $count = $ticket::count( $ticket_status['name'][ $i ], $ticket_dep_count, true );
                        echo sprintf( $count > 1 ? __(  '%d tickets', 'arvand-panel' ) : __(  '%d ticket', 'arvand-panel' ), $count );
                        ?>
                    </span>

                    <span>
                        <?php $color = $count ? $ticket_status['color'][ $i ] : '#bfbfbf'; ?>
                        <span class="wpap-ticket-color" style="background-color: <?php echo esc_attr( $color ); ?>"></span>

                        <span style="color: <?php echo $count ? '#333333' : '#808080'; ?>">
                            <?php esc_html_e( $ticket_status['name'][ $i ] ); ?>
                        </span>
                    </span>
                </div>
            <?php endfor; ?>
        <?php endif; ?>

        <?php $count = $ticket::count( 'solved', $ticket_dep_count, true ); ?>

        <div id="wpap-dash-solved-tickets">
            <span class="wpap-dash-ticket-status-count">
                <?php echo sprintf( $count > 1 ? __(  '%d tickets', 'arvand-panel' ) : __(  '%d ticket', 'arvand-panel' ), $count ); ?>
            </span>

            <span>
                <?php $color = $count ? '#4eceaa' : '#bfbfbf'; ?>
                <span class="wpap-ticket-color" style="background-color: <?php echo esc_attr( $color ); ?>"></span>

                <span style="color: <?php echo $count ? '#333333' : '#808080'; ?>">
                    <?php _e( 'Solved', 'arvand-panel' ); ?>
                </span>
            </span>
        </div>

        <?php $count = $ticket::count( 'closed', $ticket_dep_count, true ); ?>

        <div id="wpap-dash-closed-tickets">
            <span class="wpap-dash-ticket-status-count">
                <?php echo sprintf( $count > 1 ? __(  '%d tickets', 'arvand-panel' ) : __(  '%d ticket', 'arvand-panel' ), $count ); ?>
            </span>

            <span>
                <?php $color = $count ? '#4eceaa' : '#bfbfbf'; ?>
                <span class="wpap-ticket-color" style="background-color: <?php echo esc_attr( $color ); ?>"></span>

                <span style="color: <?php echo $count ? '#333333' : '#808080'; ?>">
                    <?php _e( 'Closed', 'arvand-panel' ); ?>
                </span>
            </span>
        </div>

        <?php $count = $ticket::count( '', $ticket_dep_count, true ); ?>

        <div id="wpap-dash-all-tickets">
            <span class="wpap-dash-ticket-status-count">
                <?php
                $count = $ticket::count( '', $ticket_dep_count, true );
                echo sprintf( $count > 1 ? __(  '%d tickets', 'arvand-panel' ) : __(  '%d ticket', 'arvand-panel' ), $count );
                ?>
            </span>

            <span>
                <?php $color = $count ? '#0062f5' : '#bfbfbf'; ?>
                <span class="wpap-ticket-color" style="background-color: <?php echo esc_attr( $color ); ?>"></span>

                <span style="color: <?php echo $count ? '#333333' : '#808080';?>">
                    <?php _e( 'All', 'arvand-panel' ); ?>
                </span>
            </span>
        </div>
    </div>

    <div id="wpap-latest-tickets">
        <?php
        $posts = get_Posts([
            'post_type' => 'wpap_ticket',
            'orderby' => 'post_modified',
            'post_parent' => 0,
            'meta_query' => [
                [
                    'relation' => 'OR',
                    [ 'key' => 'wpap_ticket_creator', 'value' => get_current_user_id() ],
                    [ 'key' => 'wpap_ticket_recipient', 'value' => get_current_user_id() ],
                    [ 'key' => 'wpap_ticket_department', 'value' => $user_dep, 'compare' => 'IN' ]
                ]
            ]
        ]);
        ?>

        <?php if ( count( $posts ) ): ?>
            <?php foreach ( $posts as $post ): ?>
                <a href="<?php echo esc_url( add_query_arg( [ 'section' => 'tickets', 'ticket' => $post->post_parent ?: $post->ID ] ) ); ?>">
                    <div class="wpap-latest-tickets">
                        <?php
                        $status = get_post_meta( $post->ID, 'wpap_ticket_status', true );

                        if ( in_array( $status, [ 'closed', 'solved' ] ) ) {
                            $color = '#32d252';
                        }

                        if ( $status === 'open' ) {
	                        $color = '#ff006c';
                        }

                        if ( in_array( $status, $ticket_status['name'] ) ) {
	                        $key = array_search( $status, $ticket_status['name'] );
	                        $color = $ticket_status['color'][ $key ];
                        }
                        ?>

                        <span class="wpap-ticket-status-color" style="background-color: <?php echo esc_html( $color ); ?>"></span>

                        <?php
                        if ( get_avatar( $post->post_author ) ) {
                            echo get_avatar( $post->post_author );
                        }
                        ?>

                        <div>
                            <span class="wpap-ticket-creator">
                                <span>
                                    <i class="bx bx-user"></i>
                                    <?php echo get_the_author_meta( 'display_name', $post->post_author ); ?>
                                </span>

                                <span>
                                    <i class="bx bx-time"></i>
                                    <?php echo sprintf( __( '%s at %s', 'arvand-panel' ), get_the_date( '', $post->ID ), get_the_time( '', $post->ID ) ); ?>
                                </span>
                            </span>

                            <span class="wpap-latest-tickets-content">
                                <?php echo get_the_title( $post->ID ); ?>
                            </span>
                        </div>

                        <time>
                            <?php echo human_time_diff( get_post_modified_time( 'U', '', $post->ID ), current_time( 'timestamp' ) ) . __( ' Ago', 'arvand-panel' ); ?>
                        </time>
                    </div>
                </a>
            <?php endforeach; ?>
	    <?php else: ?>
            <div id="wpap-notfound-ticket"><?php _e( 'There is no ticket.', 'arvand-panel'); ?></div>
        <?php endif; ?>
    </div>
</div>