<div id="wpap-header-notice-wrap">
    <div>
        <header>
            <h2><?php _e( 'notifications', 'arvand-panel' ); ?></h2>

            <a id="wpap-header-hide-notice-wrap" href="#" title="<?php _e( 'Hide Notice', 'arvand-panel' ); ?>">
                <i class="bx bx-x"></i>
            </a>
        </header>

        <div>
            <?php
            $posts = get_posts([
                'post_type' => [ 'wpap_notifications', 'wpap_private_message' ],
                'publish' => true,
                'numberposts' => -1
            ]);

            $post_count = 0;
            ?>

            <?php if ( count( $posts ) ): ?>
                <?php $last_read = get_user_meta( $current_user->ID, 'wpap_notice_read', true ); ?>

                <?php foreach ( $posts as $post ): ?>
                    <?php
                    $unread = get_post_meta( $post->ID, 'wpap_read', true );

                    if ( $unread or ( $post->post_type === 'wpap_notifications' and get_post_timestamp( $post->ID ) > $last_read ) ): ?>
                        <?php
                        $parent = $post->post_parent;
                        $parent = get_post( $parent );
                        $display = true;

                        if ( $post->post_type === 'wpap_private_message' ) {
                            $recipient = get_post_meta( $post->ID, 'wpap_private_msg_recipient', true );

                            if ( intval( $recipient ) !== $current_user->ID ) {
                                continue;
                            }
                        }

                        $post_count++
                        ?>

                        <article class="wpap-header-notice">
                            <header>
                                <?php if ( $post->post_type === 'wpap_private_message' ): ?>
                                    <?php $post_id = $post->post_parent ? $post->post_parent : $post->ID; ?>

                                    <a href="<?php echo esc_url( add_query_arg( [ 'section' => 'private-msg', 'msg' => $post_id ], remove_query_arg( $remove_args ) ) ); ?>">
                                        <h3>
                                            <?php
                                            if ( ! empty( $post->post_title ) ) {
                                                echo get_the_title( $post->ID );
                                            } else {
                                                _e( 'Private message to you', 'arvand-panel' );
                                            }
                                            ?>
                                        </h3>
                                    </a>
                                <?php endif; ?>

                                <?php if ( $post->post_type === 'wpap_notifications' ): ?>
                                    <a href="<?php echo esc_url( add_query_arg( 'section', 'notifications' ) ); ?>">
                                        <h3><?php echo ! empty( get_the_title( $post->ID ) ) ? get_the_title( $post->ID ) : __( 'Untitled', 'arvand-panel' ); ?></h3>
                                    </a>
                                <?php endif; ?>

                                <span>
                                    <?php
                                    switch ( $post->post_type ) {
                                        case 'wpap_notifications';
                                            _e( 'Notification', 'arvand-panel' );
                                            break;
                                        case 'wpap_private_message';
                                            _e( 'Private Message', 'arvand-panel' );
                                            break;
                                    }
                                    ?>
                                </span>
                            </header>

                            <footer>
                                <span>
                                    <i class="dashicons dashicons-clock"></i>
                                    <?php echo sprintf( __( '%s at %s', 'arvand-panel' ), get_the_date( '', $post->ID ), get_the_time( '', $post->ID ) ); ?>
                                </span>
                            </footer>
                        </article>
                    <?php endif; ?>
                <?php endforeach; ?>
            <?php endif; ?>

            <?php if ( ! $post_count > 0 ): ?>
                <div id="wpap-header-notfound-notice">
                    <?php _e( 'There is no unread notice.', 'arvand-panel' ); ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>