<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}
?>

<?php do_action( 'wpap_before_header' ); ?>

<div id="wpap-panel-header">
    <?php if ( ! empty( $panel['logo_url'] ) ): ?>
        <div id="wpap-logo">
            <img src="<?php esc_attr_e( $panel['logo_url'] ); ?>" width="<?php esc_attr_e( $panel['logo_width'] ); ?>" height="<?php esc_attr_e( $panel['logo_height'] ); ?>">

	        <?php if ( ! empty( $shortcode['after_logo'] ) ): ?>
                <div class="wpap-after-logo-shortcode">
			        <?php echo do_shortcode( wp_kses( $shortcode['after_logo'], 'post' ) ); ?>
                </div>
	        <?php endif; ?>
        </div>
    <?php endif; ?>

    <a id="wpap-header-show-sidebar" href="#" title="<?php _e( 'Show Menu', 'arvand-panel' ); ?>">
        <i class='bx bx-menu'></i>
    </a>

    <a id="wpap-home-link" href="<?php echo esc_url( site_url() ); ?>">
        <i class="bx bx-home"></i>
    </a>

    <?php do_action( 'wpap_header' ); ?>

	<?php if ( ! empty( $shortcode['panel_header'] ) ): ?>
        <div class="wpap-panel-header-shortcode">
			<?php echo do_shortcode( wp_kses( $shortcode['panel_header'], 'post' ) ); ?>
        </div>
	<?php endif; ?>

    <a id="wpap-header-show-notice-wrap" href="#" title="<?php _e( 'notifications', 'arvand-panel' ); ?>">
        <i class="bx bx-bell"></i>

        <?php
        $count = 0;

        if ( isset( $notice_count ) ) {
            $count += $notice_count ;
        }

        if ( isset( $msg_count ) ) {
            $count += $msg_count;
        }

        if ( $count ) {
            echo '<span class="wpap-unread-count">' . esc_html( $count ) . '</span>';
        }
        ?>
    </a>

    <a id="wpap-logout-link" href="<?php echo esc_url( wp_logout_url( $after_logout ) ); ?>">
        <i class="bx bx-power-off"></i>
    </a>
</div>

<?php do_action( 'wpap_after_header' ); ?>