<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$current_user = wp_get_current_user();
$shortcode = wpap_shortcode_options();
$sections = WPAPPanel::allowed_sections();
$remove_args = [ 'del-avatar', 'edit-post', 'ticket', 'ticket-status', 'close-ticket', 'solved-ticket', 'order_details', 'order', 'edit-address', 'error', 'success', 'msg' ];
$ticket = new WPAPTicket();
$notice_count = WPAPPanel::notice_count();
$msg_count = WPAPPrivateMessage::msg_unread_count( $current_user->ID );
$login = wpap_login_options();
$after_logout = $login['after_logout'] ? wp_logout_url( $login['after_logout'] ) : wp_logout_url();
?>

<aside id="wpap-sidebar">
    <header>
        <a id="wpap-hide-sidebar" href="#" title="<?php _e( 'Hide Menu', 'arvand-panel' ); ?>">
            <i class="bx bx-x"></i>
        </a>
    </header>

    <?php if ( $panel['display_top_sidebar'] ): ?>
        <div id="wpap-top-sidebar">
            <?php do_action( 'wpap_top_sidebar_top' ); ?>

	        <?php if ( ! empty( $shortcode['before_sidebar_user_info'] ) ): ?>
                <div class="wpap-before-user-info-shortcode">
			        <?php echo do_shortcode( wp_kses( $shortcode['before_sidebar_user_info'], 'post' ) ); ?>
                </div>
	        <?php endif; ?>

            <div id="wpap-sidebar-user-info">
	            <?php if ( get_avatar( $current_user->ID ) ): ?>
                    <div id="wpap-user-avatar">
			            <?php echo get_avatar( $current_user->ID, '40' ); ?>
                    </div>
	            <?php endif; ?>

                <span>
                    <?php
                    if ( ! empty( $current_user->first_name ) and ! empty( $current_user->last_name ) ) {
                        echo esc_html( $current_user->first_name . ' ' . $current_user->last_name );
                    } else {
                        echo esc_html( $current_user->display_name );
                    }
                    ?>
                </span>
            </div>

	        <?php if ( ! empty( $shortcode['after_sidebar_user_info'] ) ): ?>
                <div class="wpap-after-user-info-shortcode">
			        <?php echo do_shortcode( wp_kses( $shortcode['after_sidebar_user_info'], 'post' ) ); ?>
                </div>
	        <?php endif; ?>

            <?php do_action( 'wpap_top_sidebar_bottom' ); ?>
        </div>
    <?php endif; ?>

    <?php
    do_action( 'wpap_before_sidebar_menus' );

    $panel_menus = new WPAPPanelMenusDB();
    $section = ! empty( $_GET['section'] ) ? sanitize_text_field( $_GET['section'] ) : '';
    ?>

	<?php if ( ! empty( $shortcode['before_sidebar_nav'] ) ): ?>
        <div class="wpap-before-sidebar-nav-shortcode">
			<?php echo do_shortcode( wp_kses( $shortcode['before_sidebar_nav'], 'post' ) ); ?>
        </div>
	<?php endif; ?>
    
    <?php $menu_style = $styles['menus_style'] === 'secondary' ? 'wpap-secondary-menu' : 'wpap-primary-menu'; ?>

    <nav id="wpap-nav" class="<?php echo $menu_style; ?>" <?php echo WPAPPanelMenus::childrenDisplay( $section, $panel_menus ); ?>>
        <?php
        WPAPPanelMenus::show_menus(0, compact(
            'remove_args',
            'sections',
            'after_logout',
            'notice_count',
            'msg_count',
            'panel_menus'
        ));
        ?>
    </nav>

	<?php if ( ! empty( $shortcode['after_sidebar_nav'] ) ): ?>
        <div class="wpap-after-sidebar-nav-shortcode">
			<?php echo do_shortcode( wp_kses( $shortcode['after_sidebar_nav'], 'post' ) ); ?>
        </div>
	<?php endif; ?>

    <?php do_action( 'wpap_after_sidebar_menus' ); ?>
</aside>