<?php
$styles = wpap_styles();
$panel = wpap_panel_options();
?>

<style>
    <?php
    global $post;
    $is_panel = false;

    if ( is_a( $post, 'WP_Post' ) and has_shortcode( $post->post_content, 'wpap_user_panel' ) ) {
        $is_panel = true;
    }
    ?>

    <?php if ( $is_panel and $panel['fullscreen_compatibility'] ): ?>
        body {
            overflow-y: hidden !important;
        }
    <?php endif; ?>

    #wpap-user-panel {
        background-color: <?php esc_html_e( $styles['panel_bg'] ); ?>;

        <?php if ( $panel['fullscreen_compatibility'] ): ?>
            position: fixed;
            top: <?php echo is_admin_bar_showing() ? '32px' : '0'; ?>;
            right: 0;
            left: 0;
            bottom: 0;
            z-index: 999999999;
        <?php else: ?>
            min-height: 800px;
        <?php endif; ?>
    }

    @media screen and (max-width: 782px) {
        #wpap-user-panel {
            top: <?php echo is_admin_bar_showing() ? '46px' : '0'; ?>;
        }
    }

    #wpap-user-panel #wpap-sidebar {
        background-color: <?php esc_html_e( $styles['sidebar_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-top-sidebar {
        background-color: <?php esc_html_e( $styles['top_sidebar_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-top-sidebar span {
        color: <?php esc_html_e( $styles['top_sidebar_text_color'] ); ?>;
    }

    #wpap-user-panel #wpap-nav a:hover {
        background-color: <?php esc_html_e( $styles['menus_hover_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-nav a i:not(.wpap-menu-unread),
    #wpap-user-panel #wpap-nav a span {
        color: <?php esc_html_e( $styles['menus_color'] ); ?>;
    }

    #wpap-user-panel #wpap-nav a:hover i:not(.wpap-menu-unread),
    #wpap-user-panel #wpap-nav a:hover span {
        color: <?php esc_html_e( $styles['menus_hover_color'] ); ?>;
    }

    #wpap-user-panel #wpap-nav a i:first-child {
        background-color: <?php esc_html_e( $styles['menus_icon_bg_color'] ); ?>;
        color: <?php esc_html_e( $styles['menus_icon_color'] ); ?>;
    }

    #wpap-user-panel #wpap-nav a:hover i:first-child {
        background-color: <?php esc_html_e( $styles['menus_icon_bg_hover_color'] ); ?>;
        color: <?php esc_html_e( $styles['menus_icon_hover_color'] ); ?>;
    }

    #wpap-user-panel #wpap-nav .wpap-children .wpap-hide-children i {
        background-color: <?php esc_html_e( $styles['menus_back_btn_icon_bg_color'] ); ?> !important;
        color: <?php esc_html_e( $styles['menus_back_btn_icon_color'] ); ?> !important;
    }

    #wpap-user-panel #wpap-nav a.wpap-active {
        background-color: <?php echo $styles['menus_hover_bg']; ?>;
    }

    #wpap-user-panel #wpap-nav a.wpap-active i:first-child {
        background-color: <?php esc_html_e( $styles['menus_icon_bg_hover_color'] ); ?>;
        color: <?php esc_html_e( $styles['menus_icon_hover_color'] ); ?> !important;
    }

    #wpap-user-panel #wpap-nav a.wpap-active span {
        color: <?php esc_html_e( $styles['menus_hover_color'] ); ?> !important;
    }

    #wpap-user-panel #wpap-nav .wpap-children {
        background-color: <?php esc_html_e( $styles['sidebar_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-nav .wpap-menu-unread {
        color: <?php esc_html_e( $styles['sidebar_notice_color'] ); ?>;
    }

    #wpap-user-panel #wpap-panel-header {
        background-color: <?php esc_html_e( $styles['header_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-panel-header #wpap-logo img {
        width: <?php echo $panel['logo_width'] > 0 ? intval( $panel['logo_width'] ) . 'px' : 'auto'; ?>;
        height: <?php echo intval( $panel['logo_height'] ) . 'px'; ?>;
    }

    #wpap-user-panel #wpap-dashboard #wpap-user-details {
        background-color: <?php esc_html_e( $styles['dashboard_user_info_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-dashboard #wpap-user-details h4,
    #wpap-user-panel #wpap-dashboard #wpap-user-details span {
        color: <?php esc_html_e( $styles['dashboard_user_info_color'] ); ?>;
    }

    #wpap-user-panel #wpap-dashboard #wpap-date-info {
        background-color: <?php esc_html_e( $styles['dashboard_date_info_bg'] ); ?>;
    }

    #wpap-user-panel #wpap-dashboard #wpap-date-info h3,
    #wpap-user-panel #wpap-dashboard #wpap-date-info span,
    #wpap-user-panel #wpap-dashboard #wpap-date-info i {
        color: <?php esc_html_e( $styles['dashboard_date_info_color'] ); ?>;
    }

    #wpap-register .wpap-btn-1,
    #wpap-login .wpap-btn-1,
    #wpap-sms-register-login .wpap-btn-1,
    #wpap-lost-password .wpap-btn-1,
    #wpap-reset-password-form .wpap-btn-1,
    #wpap-force-add-mobile-form .wpap-btn-1,
    #wpap-user-panel .wpap-btn-1,
    #wpap-user-panel #wpap-header-hide-notice-wrap {
        background-color: <?php esc_html_e( $styles['buttons_bg_color'] ); ?>;
        color: <?php esc_html_e( $styles['buttons_text_color'] ); ?>;
    }

    #wpap-register .wpap-btn-1:hover,
    #wpap-login .wpap-btn-1:hover,
    #wpap-sms-register-login .wpap-btn-1:hover,
    #wpap-lost-password .wpap-btn-1:hover,
    #wpap-reset-password-form .wpap-btn-1:hover,
    #wpap-force-add-mobile-form .wpap-btn-1:hover,
    #wpap-user-panel .wpap-btn-1:hover,
    #wpap-user-panel #wpap-header-hide-notice-wrap:hover {
        background-color: <?php esc_html_e( $styles['buttons_hover_bg_color'] ); ?>;
        color: <?php esc_html_e( $styles['buttons_hover_text_color'] ); ?>;
    }

    #wpap-user-panel #wpap-panel-header #wpap-header-show-sidebar,
    #wpap-user-panel #wpap-panel-header #wpap-home-link,
    #wpap-user-panel #wpap-panel-header #wpap-header-show-notice-wrap,
    #wpap-user-panel #wpap-panel-header #wpap-logout-link {
        background-color: <?php esc_html_e( $styles['header_buttons_bg_color'] ); ?>;
        color: <?php esc_html_e( $styles['header_buttons_text_color'] ); ?>;
    }

    #wpap-user-panel #wpap-panel-header #wpap-header-show-sidebar:hover,
    #wpap-user-panel #wpap-panel-header #wpap-home-link:hover,
    #wpap-user-panel #wpap-panel-header #wpap-header-show-notice-wrap:hover {
        background-color: <?php esc_html_e( $styles['header_buttons_hover_bg_color'] ); ?>;
        color: <?php esc_html_e( $styles['header_buttons_hover_text_color'] ); ?>;
    }
</style>