<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

include WPAP_USER_PATH . 'styles/styles.php';
?>

<div id="wpap-user-panel">
    <?php
    include  WPAP_USER_PATH . 'parts/panel-sidebar.php';
    include  WPAP_USER_PATH . 'parts/header-notice.php';
    ?>

    <div>
        <?php include  WPAP_USER_PATH . 'parts/panel-header.php'; ?>

        <div id="wpap-content">
            <?php
            if ( ! isset( $_GET['section'] ) or ( isset( $_GET['section'] ) and $_GET['section'] !== 'notifications' ) ) {
                WPAPPanel::important_notices( 'all' );
            }

            $page = 'dash';
            $post_id = 0;

            if ( isset( $_GET['section'] ) and in_array( $_GET['section'], WPAPPanel::allowed_sections() ) ) {
                $section = sanitize_text_field( $_GET['section'] );
                $name = str_replace( '_', '-', $section );
                $explode = explode( '-', $section );

                if ( $section === 'tickets' and ! empty( $_GET['ticket'] ) and is_numeric( $_GET['ticket'] ) ) {
	                $main_ticket = get_post( absint( $_GET['ticket'] ) );
                    $page = ( $main_ticket and $main_ticket->post_type === 'wpap_ticket' ) ? 'single-ticket' : 'tickets';
                } elseif ( $section === 'private-msg' and ! empty( $_GET['msg'] ) and is_numeric( $_GET['msg'] ) ) {
	                $message = get_post( absint( $_GET['msg'] ) );
                    $page = $message ? 'single-msg' : 'private-msg';
                } elseif ( $explode[0] === 'section' ) {
                    $page = 'content';
                    
                    if ( $content = WPAPPanelMenus::menu_content( $section ) ): ?>
                        <div id="wpap-menu-content"><?php echo $content; ?></div>
                    <?php endif;
                } else {
                    $page = $name;
                }
            }

            if ( $page !== 'content' ) {
                $file = WPAP_USER_PATH . "panel-sections/$page.php";

                if ( file_exists( $file ) ) {
                    include $file;
                } else {
                    wpap_show_message( __( 'File not found.' ), 'error', false );
                }
            }
            ?>
        </div>
    </div>
</div>